@extends('admin.layouts.default')
@section('content')
<script type="text/javascript">
$(document).ready(function(){
    $('[data-toggle="tooltip"]').tooltip();
});
</script>

<!--********************************** Content body start  ***********************************-->
<div class="container-fluid">
    <div class="row page-titles mx-0" data-aos="fade-up">
        <div class="col-sm-6 p-md-0">
            <!-- <div class="welcome-text">
                <h4>Edit Offers</h4>
                <span class="ml-1">Layout</span>
            </div> -->
        </div>
       
        <div class="col-sm-6 p-md-0 justify-content-sm-end mt-2 mt-sm-0 d-flex">
            <ol class="breadcrumb">
                <li class="breadcrumb-item active"><a href="{{route($modelName.'.viewOffers')}}">View all offers</a></li>
                <li class="breadcrumb-item">Edit</li>
            </ol>
        </div>
    </div>
    <!-- row -->
    <div class="row">
        <div class="col-xl-12 col-xxl-12">
            <div class="card" data-aos="fade-up">
                <div class="card-header">
                    <h4 class="card-title">Edit Offers</h4>
                </div>
                <div class="card-body">
                    <div class="basic-form">
                        @foreach($findOffer as $offer)
                        {{ Form::open(['role' => 'form','id'=>'offersEditForm','route'=>['Advertisments.editOffers',base64_encode(serialize($offer->id))], 'files' => true]) }}
                        <input type="hidden" name="id" id="id" value="{{$offer->id}}">
                            <div class="form-row">
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Minimum Amount</label>
                                    <input id="minamount" type="text" placeholder="enter minimum amount here" name="minamount" class="form-control in_text" value="{{$offer->minamount}}">
                                    <div class="error-message help-inline">
                                      <?php echo $errors->first('minamount'); ?>
                                    </div>
                                </div>
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Bonus</label>                                                
                                    <input class="form-control in_text" autocomplete="off" placeholder="enter bonus here" id="bonus" name="bonus" type="text" value="{{$offer->bonus}}">
                                    <div class="error-message help-inline">
                                      <?php echo $errors->first('bonus'); ?>
                                    </div>
                                </div>    
                            </div>
                            <div class="form-row">
                                <div class="form-group col-md-6">
                                   <fieldset class="form-group">
                                        <div class="row mx-0">
                                            <label class="lbl_frm">Bonus Type</label>
                                            <div class="col-sm-9 px-0">
                                                <div class="form-check frm_chk">
                                                    <input class="form-check-input" type="radio" name="bonus_type" id="bonus_type" value="per" <?php if($offer->bonus_type == 'per'){ ?> checked <?php }?> >
                                                    <label class="form-check-label">
                                                        Percentage
                                                    </label>
                                                </div>
                                                <div class="form-check frm_chk">
                                                    <input class="form-check-input" type="radio" name="bonus_type" id="bonus_type" value="rs" <?php if($offer->bonus_type == 'rs'){ ?> checked <?php }?>>
                                                    <label class="form-check-label">
                                                        Rupees
                                                    </label>
                                                </div>                                                      
                                            </div>
                                        </div>
                                    </fieldset>
                                     <div class="error-message help-inline">
                                      <?php echo $errors->first('bonus_type'); ?>
                                    </div>
                                </div>
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Promo Code</label>                                                
                                    <input class="form-control in_text" autocomplete="off" placeholder="enter promo code here" id="code" name="code" type="text" value="{{$offer->code}}">
                                    <div class="error-message help-inline">
                                      <?php echo $errors->first('code'); ?>
                                    </div>
                                </div>    
                            </div>
                             <div class="form-row">
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Expire Date</label>                                               
                                    <input class="form-control datetimepickerget in_text" autocomplete="off" placeholder="enter expire date here" id="expire_date" name="expire_date" type="text" value="{{$offer->expire_date}}"> 
                                    <div class="error-message help-inline">
                                      <?php echo $errors->first('expire_date'); ?>
                                    </div>    
                                </div>
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Description</label>                                               
                                    <input class="form-control in_text" autocomplete="off" placeholder="enter description here" id="description" name="description" type="text" value="{{$offer->description}}">
                                    <div class="error-message help-inline">
                                      <?php echo $errors->first('description'); ?>
                                    </div>
                                </div>    
                            </div>
                            <div class="py-2">
                                <button type="submit" class="btn btn-primary mr-2">Submit</button> 
                                <button class="btn btn-gray" type="button" id="cancel_btn">Cancel</button>
                            </div>
                        {{ Form::close() }}
                        @endforeach
                    </div>
                </div>
            </div>
        </div>                    
    </div>
</div>
<!--***************************Content body end ****************************-->

<script type="text/javascript">
    $(document).ready(function(){
        $(document).on("click","#cancel_btn", function(){
            let href = $(".breadcrumb-item.active a").attr("href");
            window.location = href;
        });    
    });
</script>

@endsection