@extends('admin.layouts.default')
@section('content')
<script type="text/javascript">
$(document).ready(function(){
    $('[data-toggle="tooltip"]').tooltip();
});
</script>

<!--********************************** Content body start  ***********************************-->
<div class="container-fluid">
    <div class="row page-titles mx-0" data-aos="fade-up">
        <div class="col-sm-6 p-md-0">
            <!-- <div class="welcome-text">
                <h4>Add challenge category</h4>
                <span class="ml-1">Layout</span>
            </div> -->
        </div>                   
        <div class="col-sm-6 p-md-0 justify-content-sm-end mt-2 mt-sm-0 d-flex">
            <ol class="breadcrumb">
                <li class="breadcrumb-item active"><a href="{{route($modelName.'.category')}}">Challenge Category</a></li>
                <li class="breadcrumb-item">Add</li>
            </ol>
        </div>
    </div>               
    <!-- row -->
    <div class="row">
        <div class="col-xl-12 col-xxl-12">
            <div class="card" data-aos="fade-up">
                <div class="card-header">
                    <h4 class="card-title">Add Challenge Category</h4>
                </div>                            
                <div class="card-body">
                    <div class="basic-form">
                        {{ Form::open(['role' => 'form','id'=>'categoryAddForm','route'=>[$modelName.'.category_add'],'files' => true]) }}
                            <div class="form-row">
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Category Name</label>
                                    <input type="text" id="name" name="name" class="form-control in_text" value="{{Input::old('name')}}">
                                     <div class="error-message help-inline">
                                      <?php echo $errors->first('name'); ?>
                                    </div>
                                </div>

                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Sub Text</label>
                                    <input type="text" id="category_sub_text" name="category_sub_text" class="form-control in_text" value="{{Input::old('category_sub_text')}}">
                                     <div class="error-message help-inline">
                                      <?php echo $errors->first('category_sub_text'); ?>
                                    </div>
                                </div>      
                               
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Category images</label>
                                   <input class="form-control in_text" name="contest_type_image[]" id="contest_type_image" type="file">   
                                   <div class="error-message help-inline">
                                      <?php echo $errors->first('contest_type_image'); ?>
                                    </div> 
                                </div>
                                 <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Sort Order</label>
                                    <input type="number" id="sort_order" name="sort_order" class="form-control in_text" value="{{Input::old('sort_order')}}">
                                     <div class="error-message help-inline">
                                      <?php echo $errors->first('sort_order'); ?>
                                    </div>
                                </div>
                                <div class="form-group col-md-6">
                                  <label class="lbl_frm py-2">status</label>                                             
                                   <select class="form-control in_text" name="status" id="status">
                                    <option value="" > Select match format </option>
                                    <option value="1">Active</option>
                                    <option value="0"> Inactive </option>
                                   </select>
                                </div>                                          
                            </div>
                            <div class="py-2">
                    <button type="submit" class="btn btn-primary mr-2">Submit</button> 
                    <button class="btn btn-gray" type="button" id="cancel_btn">Cancel</button>
                </div>
                        {{ Form::close() }}
                    </div>
                </div>
            </div>
        </div>                    
    </div>
</div>
<script type="text/javascript">
    $(document).ready(function(){
        $(document).on("click","#cancel_btn", function(){
            let href = $(".breadcrumb-item.active a").attr("href");
            window.location = href;
        });
    });
</script>
<!--**********************************
Content body end
***********************************-->
@endsection