@extends('admin.layouts.default')
@section('content')
<script type="text/javascript">
$(document).ready(function(){
    $('[data-toggle="tooltip"]').tooltip();
});
</script>  

<!--**********************************
    Content body start
***********************************-->
<div class="container-fluid">
    <div class="row page-titles mx-0" data-aos="fade-up">
        <div class="col-sm-6 p-md-0">
            <!-- <div class="welcome-text">
                <h4>Create Challenge</h4>
                <span class="ml-1">Layout</span>
            </div> -->
        </div>
        <div class="col-sm-6 p-md-0 justify-content-sm-end mt-2 mt-sm-0 d-flex">
            <ol class="breadcrumb">
                <li class="breadcrumb-item active"><a href="{{route($modelName.'.view_challenges')}}">All Master Leauge</a></li>
                <li class="breadcrumb-item">Import Challenge</a></li>
            </ol>
        </div>
    </div>
    <!-- row -->
    <div class="row">
        <div class="col-xl-12 col-xxl-12">
            <div class="card" data-aos="fade-up"> 
            <div class="card-header">
                    <h4 class="card-title">Import Leagues in Matches</h4>
                </div>                   
                <div class="card-body">                                
                    <div class="basic-form">
                        {{ Form::open(['role' => 'form','id'=>'challengeAddForm','route'=>[$modelName.'.create_challenge'],'files' => true,'class'=>'form-inline','method' => 'get']) }} 
                            @php $matches="";
                                 $getmatchid="";
                            @endphp     
                            @if(isset($_GET['matchid']))
                            @php $getmatchid = $_GET['matchid']; @endphp
                            @endif    
                            <div class="form-group col-md-6">
                                <label class="sr-only">Email</label>
                                <select class="form-control-plaintext" name="matchid" onchange="this.form.submit()">
                                    <option value=""> Select Match </option>
                                    @if(!empty($findalllistmatches))
                                    @foreach($findalllistmatches as $matches)
                                    <option value="{{$matches->matchkey}}" >{{ucwords($matches->matchname)}}</option>
                                    @endforeach
                                    @endif
                                </select>
                            </div>                               
                           <!--  <button type="submit" class="btn btn-primary mb-2">Search</button> -->
                            <button class="btn btn-primary mb-2" type="submit"><i class="fa fa-repeat mr-2"></i>Reset</button>
                        {{ Form::close() }}
                    </div>
                </div>
            </div>
        </div>            
    </div>
    <?php //echo "<pre>";print_r($allchallenges);die(); ?>
    @if(isset($allchallenges) && count($allchallenges)>0)
     <div class="col-xl-12 col-xxl-12 px-0">
        <div class="card" data-aos="fade-up">
            <div class="card-header">
                <div class="card-title">All Leagues</div>
                 <a href="{{route($modelName.'.add_match_challenge')}}" class="btn btn-primary btn-sm">Add New League</a>
                 <a href="{{route($modelName.'.import_match_data',$allchallenges[0]->matchkey)}}" class="btn btn-primary btn-sm">Import from Master League</a> 
            </div>
            <div class="card-body">
                <div class="d-flex flex-wrap social-network-stats">
                    <?php $matchkey=""; ?>
                    @if(!empty($allchallenges))
                    @foreach($allchallenges as $challenge)
                        <?php $matchkey=$challenge->matchkey; ?>
                    <div class="item flex-sm-fill league_box">
                        <span class="text-dark title">Win Amount:
                        <i class="fa fa-inr ml-2"></i>{{$challenge->win_amount}}</span>
                        <!-- <span class="social-icon youtube ml-3">
                            <i class="fa fa-youtube-play"></i>
                        </span> -->
                        <div class="table-responsive mt-3">
                            <table class="table mb-0 countries_list">
                                <tbody>
                                    <tr>
                                        <td>
                                            <span class="text-dark">Win Amount:</span>
                                        </td>
                                        <td><i class="fa fa-inr"></i>{{$challenge->win_amount}}</td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <span class="text-dark">League Size:</span>
                                        </td>
                                        <td>
                                            @if($challenge->challenge_type =='money')
                                            {{$challenge->maximum_user}}
                                            @else
                                            {{$challenge->winning_percentage.' % (of Total Users)'}}
                                            @endif
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <span class="text-dark">Entry Fee:</span>
                                        </td>
                                        <td><i class="fa fa-inr"></i>{{$challenge->entryfee}}</td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <span class="text-dark">League Type:</span>
                                        </td>
                                        <td>@if($challenge->challenge_type =='money')
                                            {{'Amount Based'}}
                                            @else 
                                                {{'Percentage Based'}}
                                            @endif
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <span class="text-dark">Confirmed League:</span>
                                        </td>
                                        <td>@if($challenge->confirmed_challenge==1) 
                                                {{'Confirmed League'}} 
                                            @else 
                                                {{''}}
                                            @endif    
                                            </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <span class="text-dark">Multi Entry:</span>
                                        </td>
                                        <td>@if($challenge->multi_entry==1)
                                                {{'Yes' }}
                                            @else
                                                {{''}}
                                            @endif    
                                            </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <span class="text-dark">Auto Repeat:</span>
                                        </td>
                                        <td>@if($challenge->is_running==1) 
                                                {{'Yes'}}
                                            @else
                                                {{'No'}}
                                            @endif
                                        </td>
                                    </tr>
                                    @if($challenge->challenge_type =='money')
                                        @if($challenge->marathon!=1)
                                    <tr>
                                        <td>
                                            <span class="text-dark">Price Card:</span>
                                        </td>
                                        <td><a href="{{route($modelName.'.add_match_pricecard',base64_encode(serialize($challenge->id)))}}" style="text-decoration:underline;">Add/Edit</a></td>
                                    </tr>
                                    @else
                                     <tr>
                                        <td>
                                            <span class="text-dark">Price Card:</span>
                                        </td>
                                        <td><a href="{{route($modelName.'.add_match_pricecard',base64_encode(serialize($challenge->id)))}}" style="text-decoration:underline;">Add/Edit</a></td>
                                    </tr>
                                    @endif
                                    @endif
                                    <tr>
                                        <td>
                                            <span class="text-dark">Created Date:</span>
                                        </td>
                                        <td>{{date('d-M-yy',strtotime($challenge->created_at))}}</td>
                                    </tr> 
                                    <tr>
                                        <td>
                                            <span class="text-dark">Created By:</span>
                                        </td>
                                       <?php $findteam = "";
                                            if($challenge->created_by!=0){
                                                $findteamaname = DB::table('registerusers')->where('id',$challenge->created_by)->select('team')->first();
                                                $findteam = isset($findteamaname->team) && !empty($findteamaname->team)? $findteamaname->team:'';
                                              } ?>

                                            <td>{{$findteam}}</td>
                                    </tr>
                                    <?php
                                   // echo '1233 ';print_r($challenge->id);die;
                                        $findjoinedleauges = DB::table('joinedleauges')->where('challengeid',$challenge->id)->get();
                                    ?>
                                    <tr>
                                        @if(empty($findjoinedleauges[0]))
                                        <td>
                                          <!--  <button type="submit" class="btn btn-primary mb-2">Edit</button>   -->
                                          <a href="{{route($modelName.'.edit_match_challenge',base64_encode(serialize($challenge->id)))}}" class="btn btn-primary" style="cursor: pointer">
                                                Edit
                                            </a>
                                        </td>    
                                        <td>    
                                            <a href="{{route($modelName.'.del_match_challenge',base64_encode(serialize($challenge->id)))}}" class="btn btn-primary" style="cursor: pointer">
                                                Delete
                                            </a>         
                                        </td>
                                       <!--  <td>
                                            <button class="btn btn-primary mb-2" type="submit">Delete</button>
                                        </td> -->
                                        @else
                                            @if($challenge->status=='canceled')
                                            <td>
                                                <a class="btn btn-primary" style="cursor: pointer">
                                                League Closed</a>
                                            </td>
                                            @else
                                            <td>
                                                <a class="btn btn-primary" style="cursor: pointer">
                                                League Joined </a>
                                            </td>    
                                            @endif
                                        @endif
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                   @endforeach
                   @endif
                </div>
            </div>
        </div>
    </div>
</div>
@else

@endif
<!--**********************************
    Content body end
***********************************-->
@endsection