@extends('admin.layouts.default')
@section('content')
<script type="text/javascript">
$(document).ready(function(){
    $('[data-toggle="tooltip"]').tooltip();
});
</script>
<!--********************************** Content body start  ***********************************-->
<div class="container-fluid">
    <div class="row page-titles mx-0" data-aos="fade-up">
        <div class="col-sm-6 p-md-0">
            <!-- <div class="welcome-text">
                <h4>Edit Master Leauge</h4>
                <span class="ml-1">Layout</span>
            </div> -->
        </div>                   
        <div class="col-sm-6 p-md-0 justify-content-sm-end mt-2 mt-sm-0 d-flex">
            <ol class="breadcrumb">
                <li class="breadcrumb-item active"><a href="{{route($modelName.'.view_challenges')}}">View all Master Leauge</a></li>
                <li class="breadcrumb-item">Edit</li>
            </ol>
        </div>
    </div>               
    <!-- row -->
    <div class="row">
        <div class="col-xl-12 col-xxl-12">
            <div class="card" data-aos="fade-up">
                <div class="card-header">
                    <h4 class="card-title">Edit Master Leauge</h4>
                </div>                            
                <div class="card-body">
                  <div class="basic-form">
                    {{ Form::open(['role' => 'form','id'=>'categoryAddForm','route'=>[$modelName.'.edit_global_challenge',base64_encode(serialize($challenge['challenge']->id))],'files' => true]) }} 
                        <?php 
                        $category = $challenge['challenges_category'];
                        $challenge = $challenge['challenge'];
                        ?>
                      <div class="form-row">
                          <fieldset class="form-group col-md-6">
                              <div class="row mx-0">
                                  <label class="lbl_frm">Challenge Type</label>
                                  <div class="col-sm-9 px-0">
                                      <div class="form-check frm_chk">
                                          <input class="form-check-input" type="radio" name="challenge_type" value="money" <?php if($challenge->challenge_type=="money"){
                                             echo "checked"; }?> >
                                          <label class="form-check-label">
                                              Fixed Challenge
                                          </label>
                                      </div>
                                      <div class="form-check frm_chk">
                                          <input class="form-check-input" type="radio" name="challenge_type" value="percentage" <?php if($challenge->challenge_type=="percentage"){
                                             echo "checked"; }?>>
                                          <label class="form-check-label">
                                              Percentage based
                                          </label>
                                      </div>                                                  
                                  </div>
                              </div>
                          </fieldset>
                        </div>
                        <div class="form-row my-3">
                          <div class="form-group col-md-6">
                              <label class="lbl_frm py-2">Entry Fee</label>
                              <input type="number" min="0" id="entryfee" name="entryfee" class="form-control in_text" value="{{$challenge->entryfee}}">
                               <div class="error-message help-inline">
                                <?php echo $errors->first('entryfee'); ?>
                              </div>
                          </div>
                          <div class="form-group col-md-6">
                              <label class="lbl_frm py-2">Wining Amount</label>
                             <input class="form-control in_text" name="win_amount" id="win_amount" type="number" min="0" value="{{$challenge->win_amount}}">   
                             <div class="error-message help-inline">
                                <?php echo $errors->first('win_amount'); ?>
                              </div> 
                          </div>
                          <div class="form-group col-md-6" id="max_user">
                              <label class="lbl_frm py-2">Maximum number of users</label>
                              <input type="number" min="0" id="maximum_user" name="maximum_user" class="form-control in_text" value="{{$challenge->maximum_user}}">
                               <div class="error-message help-inline">
                                <?php echo $errors->first('maximum_user'); ?>
                              </div>
                          </div> 
                          <div class="form-group col-md-6">
                              <label class="lbl_frm">Minimum number of users to confirm Challenge</label>
                             <input class="form-control in_text" name="minimum_user" id="minimum_user" type="number" min="0" value="{{$challenge->minimum_user}}">   
                             <div class="error-message help-inline">
                                <?php echo $errors->first('minimum_user'); ?>
                              </div> 
                          </div>
                          <div class="form-group col-md-6" id="winn_percent">
                              <label class="lbl_frm py-2">Winning Percentage</label>
                              <input type="number" min="0" id="winning_percentage" name="winning_percentage" class="form-control in_text" value="{{$challenge->winning_percentage}}">
                               <div class="error-message help-inline">
                                <?php echo $errors->first('winning_percentage'); ?>
                              </div>
                          </div>
                          <div class="form-group col-md-6">
                            <label class="lbl_frm py-2">Challenge Category</label>           
                             <select class="form-control in_text" name="challenge_category_id" id="challenge_category_id">
                              <option value="" >Select Category</option>
                              @if(isset($category) && !empty($category))
                              @foreach ($category as $key => $value)
                              <option value="{{$value->id}}" <?php if($challenge->challenge_category_id==$value->id) { echo "selected"; } ?>>{{ $value->name}}</option>
                              @endforeach
                              @endif
                             </select>
                          </div>

                          <div class="form-group col-md-6" id="winn_percent">
                              <label class="lbl_frm py-2">Discount Price</label>
                              <input type="number" min="0" id="dis_price" name="dis_price" class="form-control in_text" value="{{$challenge->dis_price}}">
                               <div class="error-message help-inline">
                                <?php echo $errors->first('dis_price'); ?>
                              </div>
                          </div>

                        </div>     
                         
                        <div class="form-row my-3">    
                        
                          <div class="form-group col-md-4">
                            <div class="form-check mb-2">
                                <input type="checkbox" class="form-check-input" id="is_free" name="is_free" value="1" <?php if($challenge->is_free==1){ echo 'checked'; }?>>
                                <label class="form-check-label">Is Free</label>
                            </div>                                           
                          </div>
                           
                           <div class="form-group col-md-4">
                            <!-- <label>Multi Entry</label> -->
                            <div class="form-check mb-2">
                                <input type="checkbox" class="form-check-input" id="multi_entry" name="multi_entry" value="1" <?php if($challenge->multi_entry==1){ echo 'checked'; }?>>
                                <label class="form-check-label">Multi Entry</label>
                            </div>                                           
                          </div>

                            <div class="form-group col-md-4">
                              <!-- <label>Confirmed Challenge</label> -->
                              <div class="form-check mb-2">
                                  <input type="checkbox" class="form-check-input" id="confirmed_challenge" name="confirmed_challenge" value="1" <?php if($challenge->confirmed_challenge==1){ echo 'checked'; }?>>
                                  <label class="form-check-label">Confirmed Challenge</label>
                              </div>                                           
                            </div>
                                                          
                            
                            <div class="form-group col-md-4">
                              <!-- <label>Can Use Bonus</label> -->
                              <div class="form-check mb-2">
                                  <input type="checkbox" class="form-check-input" id="bonus" name="bonus" value="1" <?php if($challenge->bonus==1){ echo 'checked'; }?> onclick="show3();">
                                  <label class="form-check-label">Can Use Bonus</label>
                              </div>                                           
                            </div> 

                            <div class="form-group col-md-4" id="bonus_precents">
                              <label class="lbl_frm py-2">Bonus precent</label>
                                <input type="number" min="0" id="bonus_precent" name="bonus_precent" class="form-control in_text" value="{{$challenge->bonus_precent}}">
                                 <div class="error-message help-inline">
                                  <?php echo $errors->first('bonus_precent'); ?>
                                </div>                                           
                            </div>

                            <div class="form-group col-md-4">
                              <!-- <label>Is Running</label> -->
                              <div class="form-check mb-2 py-2">
                                  <input type="checkbox" class="form-check-input" id="is_running" name="is_running" value="1" <?php if($challenge->is_running==1){ echo 'checked'; }?>>
                                  <label class="form-check-label">Is Running?</label>
                              </div>                                           
                            </div>

                            <div class="form-group col-md-4">
                              <!-- <label>Loop stop</label> -->
                              <div class="form-check mb-2 py-2">
                                  <input type="checkbox" class="form-check-input" id="loops" name="loops" value="1" <?php if($challenge->loops==1){ echo 'checked'; }?>>
                                  <label class="form-check-label">Loop Stop</label>
                              </div> 
                            </div> 

                             
                          </div>     
                        </div>
                        <div class="py-2">
                        <button type="submit" class="btn btn-primary mr-2">Submit</button> 
                        <button class="btn btn-gray" type="button" id="cancel_btn">Cancel</button></div>
                    {{ Form::close() }}
                    </div>
                </div>
            </div>
        </div>                    
    </div>
</div>

<!--**********************************
    Content body end
***********************************-->
<script type="text/javascript">

  function show3(){ 
    if ( document.getElementById("bonus").checked==true ) {
      document.getElementById('bonus_precents').style.display ='block';
    }
    else {
      document.getElementById('bonus_precents').style.display ='none';  
    }
  }

  $(document).ready(function(){ 
    let canUseBonus = <?php echo $challenge->bonus; ?>;
    var chall=$('input[name=challenge_type]:checked').val();  
    if(chall=='money'){
      $("#winn_percent").hide();  
    }
    else{
      $("#max_user").hide();
    }
    $("input[name$='challenge_type']").click(function() {
        var test = $(this).val();
        if(test=='percentage'){
          $("#winn_percent").show();
          $("#max_user").hide();
        }else{
          $("#winn_percent").hide();
          $("#max_user").show();
        }
    });
    $(document).on("click","#cancel_btn", function(){
        let href = $(".breadcrumb-item.active a").attr("href");
        window.location = href;
    });

    if(canUseBonus == 1)
      $("#bonus_precents").show();
    else
      $("#bonus_precents").hide();

  });
</script>


@endsection