@extends('admin.layouts.default')
@section('content')
<script type="text/javascript">
$(document).ready(function(){
    $('[data-toggle="tooltip"]').tooltip();
});
</script>

<!--********************************** Content body start  ***********************************-->
<div class="container-fluid">
    <div class="row page-titles mx-0" data-aos="fade-up">
        <div class="col-sm-6 p-md-0">
            <div class="welcome-text">
                <h4>Edit Match League</h4>
                <span class="ml-1">Layout</span>
            </div>
        </div>                   
        <div class="col-sm-6 p-md-0 justify-content-sm-end mt-2 mt-sm-0 d-flex">
            <ol class="breadcrumb">
                <li class="breadcrumb-item active"><a href="{{route($modelName.'.create_challenge')}}">Challenge Category</a></li>
                <li class="breadcrumb-item "><a href="javascript:void(0)">Edit</a></li>
            </ol>
        </div>
    </div>               
    <!-- row -->
    <div class="row">
        <div class="col-xl-12 col-xxl-12">
            <div class="card" data-aos="fade-up">
                <div class="card-header">
                    <h4 class="card-title">Edit Form</h4>
                </div>                            
                <div class="card-body">
                    <div class="basic-form">
                        {{ Form::open(['role' => 'form','id'=>'MatchAddForm','route'=>[$modelName.'.edit_match_challenge',base64_encode(serialize($challenge->id))],'files' => true]) }}
                            <div class="form-row">
                                <div class="form-group col-md-6">
                                    <label>Match Name:</label>
                                    <label class="form-check-label"> <b>{{ucwords($findmatchnames->name)}}</b></label>                                  
                                </div>

                                <div class="form-group col-md-6">
                                    <label>Challenge Type</label>
                                     <div class="col-sm-10">
                                          <div class="form-check">
                                              <input class="form-check-input" type="radio" name="challenge_type" value="money" <?php if($challenge->challenge_type=='money'){?> checked <?php } ?>>
                                              <label class="form-check-label">
                                                  Fixed Challenge
                                              </label>
                                          </div>
                                          <div class="form-check">
                                              <input class="form-check-input" type="radio" name="challenge_type" value="percentage" <?php if($challenge->challenge_type=='percentage'){?> checked <?php } ?>>
                                              <label class="form-check-label">
                                                  Percentage based
                                              </label>
                                          </div>        
                                      </div>
                                </div>
                            </div>      
                            <div class="form-row">
                                <div class="form-group col-md-6">
                                    <label>Entry fee</label>
                                   <input class="form-control" name="entryfee" id="entryfee" type="number" value="{{$challenge->entryfee}}">   
                                   <div class="error-message help-inline">
                                      <?php echo $errors->first('entryfee'); ?>
                                    </div> 
                                </div>
                                 <div class="form-group col-md-6">
                                    <label>wining amount</label>
                                    <input type="number" id="win_amount" name="win_amount" class="form-control" value="{{$challenge->win_amount}}">
                                     <div class="error-message help-inline">
                                      <?php echo $errors->first('win_amount'); ?>
                                    </div>
                                </div>
                            </div>      
                            <div class="form-row">     
                                <div class="form-group col-md-6">
                                    <label>Minimum number of users</label>
                                   <input class="form-control" name="minimum_user" id="minimum_user" type="number" value="{{$challenge->minimum_user}}">   
                                   <div class="error-message help-inline">
                                      <?php echo $errors->first('minimum_user'); ?>
                                    </div> 
                                </div>
                                 <div class="form-group col-md-6">
                                    <label>Maximum number of users</label>
                                    <input type="number" id="maximum_user" name="maximum_user" class="form-control" value="{{$challenge->maximum_user}}">
                                     <div class="error-message help-inline">
                                      <?php echo $errors->first('maximum_user'); ?>
                                    </div>
                                </div>                                          
                            </div>
                             <div class="form-row">     
                                <div class="form-group col-md-6">
                                    <label>Challenge Category</label>
                                  <select class="form-control" name="challenge_category_id" id="challenge_category_id">
                                    <option value="" >Select Category</option>
                                        @if(count($category)>0)
                                        @foreach($category as $value)
                                        <option value="{{$value->id}}" <?php if($value->id == $challenge->challenge_category_id){ echo "selected"; }  ?> > {{$value->name}} </option>
                                        @endforeach
                                        @endif
                                    </select>
                                   <div class="error-message help-inline">
                                      <?php echo $errors->first('challenge_category_id'); ?>
                                    </div> 
                                </div>

                                <div class="form-group col-md-6">
                                    <label>Discount Price</label>
                                    <input type="number" id="dis_price" name="dis_price" class="form-control" value="{{$challenge->dis_price}}">
                                     <div class="error-message help-inline">
                                      <?php echo $errors->first('dis_price'); ?>
                                    </div>
                                </div>
                                
                                <div class="form-group col-md-6">
                                  <label>Is Free</label>
                                  <div class="form-check mb-2">
                                      <input type="checkbox" class="form-check-input" id="is_free" name="is_free" value="1" <?php if($challenge->is_free==1){ echo 'checked'; }?>>
                                      <label class="form-check-label">Is Free</label>
                                  </div>                                    
                              </div> 

                                <div class="form-group col-md-6">
                                  <label>Multi Entry</label>
                                  <div class="form-check mb-2">
                                      <input type="checkbox" class="form-check-input" id="multi_entry" name="multi_entry" value="1" <?php if($challenge->multi_entry==1){ echo 'checked'; }?>>
                                      <label class="form-check-label">multi entry</label>
                                  </div>                                    
                              </div> 
                              <div class="form-group col-md-6">
                                  <label>Confirmed Challenge</label>
                                  <div class="form-check mb-2">
                                      <input type="checkbox" class="form-check-input" id="confirmed_challenge" name="confirmed_challenge" value="1" <?php if($challenge->confirmed_challenge==1){ echo 'checked'; }?>>
                                      <label class="form-check-label">confirmed challenge</label>
                                  </div>                                           
                                </div>                                   
                            </div>
                              <div class="form-row">    
                                
                                <div class="form-group col-md-6">
                                  <label>Can Use Bonus</label>
                                  <div class="form-check mb-2">
                                      <input type="checkbox" class="form-check-input" id="bonus" name="bonus" value="1" <?php if($challenge->bonus==1){ echo 'checked'; }?> onclick="show3();" >
                                      <label class="form-check-label">can use bonus</label>
                                  </div>                                           
                                </div>

                                <div class="form-group col-md-6" id="bonus_precents">
                                    <label>Bonus precent</label>
                                    <input type="number" id="bonus_precent" name="bonus_precent" class="form-control" value="{{$challenge->bonus_precent}}">
                                     <div class="error-message help-inline">
                                      <?php echo $errors->first('bonus_precent'); ?>
                                    </div>
                                </div>

                                 <div class="form-group col-md-6">
                                  <label>Is Running</label>
                                  <div class="form-check mb-2">
                                      <input type="checkbox" class="form-check-input" id="is_running" name="is_running" value="1" <?php if($challenge->is_running==1){ echo 'checked'; }?>>
                                      <label class="form-check-label">is running</label>
                                  </div>                                           
                                </div>
                              </div>
                            <div class="form-row">                                           
                                <div class="form-group col-md-6">
                                  <label>Loop stop</label>
                                  <div class="form-check mb-2">
                                      <input type="checkbox" class="form-check-input" id="loops" name="loops" value="1" <?php if($challenge->loops==1){ echo 'checked'; }?>>
                                      <label class="form-check-label">loop stop</label>
                                  </div> 
                                </div> 
                              </div>                                         
                            <button type="submit" class="btn btn-primary">Submit</button> 
                            <button class="btn btn-gray" type="button" id="cancel_btn">Cancel</button>
                        {{ Form::close() }}
                    </div>
                </div>
            </div>
        </div>                    
    </div>
</div>
<!--**********************************
  Content body end
***********************************-->


<script type="text/javascript">
  function show3(){ 
    if ( document.getElementById("bonus").checked==true ) {
    document.getElementById('bonus_precents').style.display ='block';
  }
    else {
    document.getElementById('bonus_precents').style.display ='none';  
    }
  }
  $(document).ready(function(){ 
    let canUseBonus = <?php echo $challenge->bonus; ?>;
    console.log(canUseBonus);
    if(canUseBonus == 1)
      $("#bonus_precents").show();
    else
      $("#bonus_precents").hide();

    $(document).on("click","#cancel_btn", function(){
        let href = $(".breadcrumb-item.active a").attr("href");
        window.location = href;
    });

  });
</script>
@endsection