@extends('admin.layouts.default')
@section('content')
<script type="text/javascript">
$(document).ready(function(){
    $('[data-toggle="tooltip"]').tooltip();
});
</script>

<!--********************************** Content body start  ***********************************-->
<div class="container-fluid">
    <div class="row page-titles mx-0" data-aos="fade-up">
        <div class="col-sm-6 p-md-0">
            <div class="welcome-text">
                <h4><?php echo $findmatchdetails->title?></h4>
                <!-- <span class="ml-1">Layout</span> -->
            </div>
        </div>                   
        <div class="col-sm-6 p-md-0 justify-content-sm-end mt-2 mt-sm-0 d-flex">
            <ol class="breadcrumb">                   
                <li class="breadcrumb-item active">
                    <a href="{{route($modelName.'.matchmapping')}}">All Matches</a></li>
                <li class="breadcrumb-item">Edit Match</li>
            </ol>
        </div>
    </div>               
    <!-- row -->
    <div class="row">
        <div class="col-xl-12 col-xxl-12">
            <div class="card" data-aos="fade-up">
                <div class="card-header">
                    <h4 class="card-title">Edit Match Detail</h4>
                </div>                            
                <div class="card-body">
                    <div class="basic-form">
                        {{ Form::open(['role' => 'form','id'=>'EditUserForm','route'=>[$modelName.'.editmatch',$findmatchdetails->matchkey],'files' => true]) }}
                        {{csrf_field()}} 
                            <div class="form-row">
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Match Name</label>
                                    <input id="name" type="text" placeholder="enter name here" name="name" class="form-control in_text" value="{{ucwords($findmatchdetails->name)}}" autocomplete="off">
                                     <div class="error-message help-inline">
                                      <?php echo $errors->first('name'); ?>
                                    </div>
                                </div>
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Match Format</label>
                                    <select class="form-control in_text" id="format" name="format" autocomplete="off">
                                        <option value=""> Select match Format </option>
                                        @if(isset($matchformat) && !empty($matchformat))
                                        @foreach($matchformat as $matchf=>$matchvalue)
                                        <option value="<?php echo $matchf?>" <?php if($findmatchdetails->format==$matchf){ echo 'selected'; }?>>{{ucwords($matchvalue)}} </option>
                                        @endforeach
                                        @endif
                                    </select>
                                     <div class="error-message help-inline">
                                      <?php echo $errors->first('format'); ?>
                                    </div>
                                </div>
                                   
                            </div>
                            <div class="form-row">
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Team1</label>                          
                                    <input class="form-control in_text" id="first-name" type="text" value="{{ucwords($findmatchdetails->team1name)}}" readonly="" disabled="">
                                </div> 
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Team2</label>
                                    <input class="form-control in_text" id="first-name" type="text" value="{{ucwords($findmatchdetails->team2name)}}" readonly="" disabled="">
                                </div>
                                
                            </div> 
                            <div class="form-row">                                
                                 <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Match Start Date</label>
                                    <input class="form-control in_text" id="start_date" name="start_date" type="text" value="{{$findmatchdetails->start_date}}">
                                </div>   
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Select Series</label>                           
                                    <select class="form-control in_text" id="series" name="series" autocomplete="off">
                                        <option value=""> Select match Format </option>
                                        @if(isset($findmatchseries) && !empty($findmatchseries))
                                        @foreach($findmatchseries as $matcseries)
                                       <option value="<?php echo $matcseries->id?>"  <?php if($matcseries->id==$findmatchdetails->series){ echo 'selected'; }?>>{{$matcseries->name}}</option>
                                        @endforeach
                                        @endif
                                    </select>
                                     <div class="error-message help-inline">
                                      <?php echo $errors->first('series'); ?>
                                    </div>
                                </div>    
                            </div>
                            <div class="py-2">                            
                            <button type="submit" class="btn btn-primary mr-2">Submit</button> 
                            <button class="btn btn-gray" type="button" id="cancel_btn">Cancel</button></div>
                        {{ Form::close() }}
                    </div>
                </div>
            </div>
        </div>                    
    </div>
</div>

<script type="text/javascript">
    $(document).ready(function(){
        $('#start_date').datetimepicker();
        $(document).on("click","#cancel_btn", function(){
            let href = $(".breadcrumb-item.active a").attr("href");
            window.location = href;
        });
    });
    $('#EditUserForm')[0].disabled = true;


    $('#EditUserForm input').each(function(){
        if($(this).attr("disabled")){
            $(this).css({"background":"#80808096","cursor":"not-allowed"});
        }
    });

</script>

<!--**********************************
Content body end
***********************************-->
@endsection