@extends('admin.layouts.default')
@section('content')
<!-- DATATABLE GLOBAL SCRIPTS -->
{{ HTML::style('css/admin/datatable.css') }}
{{ HTML::script("js/admin/datatable.js") }}

<div class="container-fluid">
    <div class="row page-titles mx-0" data-aos="fade-up">
        <div class="col-sm-6 p-md-0">
            <!-- <div class="welcome-text">
                <h4>All Match Points</h4>
            </div> -->
        </div>
        <div class="col-sm-6 p-md-0 justify-content-sm-end mt-2 mt-sm-0 d-flex">
            <ol class="breadcrumb">
                <li class="breadcrumb-item active"><a href="javascript:void(0)">Match Result</a></li>
                <li class="breadcrumb-item">Matches Points</li>
            </ol>
        </div>
    </div>
    <div class="row">        
        <div class="col-lg-12">
            <div class="card" data-aos="fade-up">
            	<div class="card-header"><h4>Match Points</h4>
            	<div class="col-md-6">
            	<div class="x_title">                    
                    <div class="m-l-auto">
		                <?php
						if($findmatchdetails->final_status!='winnerdeclared'){  ?>
						<a href="<?php echo route($modelName.'.update_match_final_status',[$findmatchdetails->matchkey,'winnerdeclared']);?>" class="btn btn-info destnce pull-right">Decalre Winner Now</a>
						<?php } ?>
						<span style="width:3em;"> </span>
						<a href="<?php echo route($modelName.'.update_scores',$findmatchdetails->matchkey);?>" class="btn btn-info pull-right mr-2">Refresh Scores</a>
		            </div> 
                    <div class="clearfix"></div>
			    </div>
				</div>
				</div>
                <div class="card-body">
                    <div class="profile-tab">
                        <div class="custom-tab-1">
                            <ul class="nav nav-tabs ">
                                <li class="nav-item"><a href="#BatStats" data-toggle="tab" class="nav-link active show pb-3">Match Score</a>
                                </li>
                                <li class="nav-item"><a href="#PointStats" data-toggle="tab" class="nav-link pb-3">Match Points</a>
                                </li>
                                <li class="nav-item"><a href="#BATTING" data-toggle="tab" class="nav-link pb-3">Batting</a>
                                </li>
                                <li class="nav-item"><a href="#BOWLING" data-toggle="tab" class="nav-link pb-3">Bowling</a>
                                </li>
                                <li class="nav-item"><a href="#FIELDING" data-toggle="tab" class="nav-link pb-3">Fielding</a>
                                </li>
                                <li class="nav-item"><a href="#TEAM" data-toggle="tab" class="nav-link pb-3">Team</a>
                                </li>
                            </ul>
                            <div class="tab-content">
                                <div id="BatStats" class="tab-pane fade active show">
					                <div class="card-body px-0">
						                <div class="table-responsive" id="BatStats">
						                    <table id="bootgrid-basic" class="table table-condensed table-hover table-striped" style="min-width: 845px">
						                            <thead class="thead-primary">
						                                <tr>                               
						                                <th>TeamName</th>
						                                <th>PlayerKey</th>
						                                <th>PlayerName</th>
						                                <th>PlayerRole</th>
						                                <th>startpoint</th>
						                                <th>DismisalInfo</th>
						                                <th>BattingRun</th>
						                                <th>BattingBall</th>
						                                <th>Fours</th>
						                                <th>Sixs</th>
						                                <th>Overs</th>
						                                <th>Maidens</th>
						                                <th>BallingRuns</th>
						                                <th>Wickets</th>
						                                <th>Zeros</th>
						                                <th>Extra</th>
						                                <th>Catch</th>
						                                <th>Stumbed</th>
						                                <th>RunOuts</th>
						                                <th>ManOfMatch</th>
						                                <th>BattingPoints</th>
						                                <th>BowlingPoints</th>
						                                <th>FieldingPoints</th>
						                                <th>ExtraPoints</th>
						                                <th>NegativePoints</th>
						                                <th>StrikeRate</th>
						                                <th>EconomyRate</th>
						                            </tr>
						                            </thead>
						                            <tbody>
						                            	@if(count($match_scores)>0)
						                            	@foreach($match_scores as $match_scores_value)
						                                <tr>
						                                    <td>{{$match_scores_value->team_short_name}}</td>
						                                    <td>{{$match_scores_value->players_player_key}}</td>
						                                    <td>{{$match_scores_value->matchplayers_name}}</td>
						                                    <td>{{$match_scores_value->matchplayers_role}}</td>
						                                    @if($findmatchdetails->final_status !='winnerdeclared')
						                                    	<td>	
						                                    		<input type="text" class="form-control" value="{{$match_scores_value->starting11}}" onchange="update_points('{{ $match_scores_value->matchplayers_matchkey}}','{{ $match_scores_value->matchplayers_playerid}}','starting11',this.value);" style="width: 50px;text-align: center;" onkeypress="return isNumberKey(event)" >
						                                    	</td>
									                            <td>
									                            	<input class="form-control" type="text" value="{{ $match_scores_value->out_str}}" onchange="update_points('{{ $match_scores_value->matchplayers_matchkey}}','{{ $match_scores_value->matchplayers_playerid}}','out_str',this.value);" style="text-align: center;" onkeypress="return isNumberKey(event)" readonly>
									                            </td>
									                            <td>
									                            	<input class="form-control" type="text" value="{{ $match_scores_value->runs}}" onchange="update_points('{{ $match_scores_value->matchplayers_matchkey}}','{{ $match_scores_value->matchplayers_playerid}}','runs',this.value);" style="text-align: center;" onkeypress="return isNumberKey(event)" readonly>
									                            </td>
									                            <td>
									                            	<input class="form-control" type="text" value="{{ $match_scores_value->bball}}" onchange="update_points('{{ $match_scores_value->matchplayers_matchkey}}','{{ $match_scores_value->matchplayers_playerid}}','bball',this.value);" style="text-align: center;" onkeypress="return isNumberKey(event)" readonly>
									                            </td>
									                            <td>
									                            	<input class="form-control" type="text" value="{{ $match_scores_value->fours}}" onchange="update_points('{{ $match_scores_value->matchplayers_matchkey}}','{{ $match_scores_value->matchplayers_playerid}}','fours',this.value);" style="text-align: center;" onkeypress="return isNumberKey(event)" readonly>
									                            </td>
									                            <td>
									                            	<input class="form-control" type="text" value="{{ $match_scores_value->six}}" onchange="update_points('{{ $match_scores_value->matchplayers_matchkey}}','{{ $match_scores_value->matchplayers_playerid}}','six',this.value);" style="text-align: center;" onkeypress="return isNumberKey(event)" readonly>
									                            </td>
									                            <td>
									                            	<input class="form-control" type="text" value="{{ $match_scores_value->overs}}" onchange="update_points('{{ $match_scores_value->matchplayers_matchkey}}','{{ $match_scores_value->matchplayers_playerid}}','overs',this.value);" style="text-align: center;" onkeypress="return isNumberKey(event)" readonly>
									                            </td>
									                            <td>
									                            	<input class="form-control" type="text" value="{{ $match_scores_value->maiden_over}}" onchange="update_points('{{ $match_scores_value->matchplayers_matchkey}}','{{ $match_scores_value->matchplayers_playerid}}','maiden_over',this.value);" style="text-align: center;" onkeypress="return isNumberKey(event)" readonly>
									                            </td>
									                            <td>
									                            	<input class="form-control" type="text" value="{{ $match_scores_value->balls}}" onchange="update_points('{{ $match_scores_value->matchplayers_matchkey}}','{{ $match_scores_value->matchplayers_playerid}}','balls',this.value);" style="text-align: center;" onkeypress="return isNumberKey(event)" readonly>
									                            </td>
									                            <td>
									                            	<input class="form-control" type="text" value="{{ $match_scores_value->grun}}" onchange="update_points('{{ $match_scores_value->matchplayers_matchkey}}','{{ $match_scores_value->matchplayers_playerid}}','grun',this.value);" style="text-align: center;" onkeypress="return isNumberKey(event)" readonly>
									                            </td>
									                            <td>
									                            	<input class="form-control" type="text" value="{{ $match_scores_value->wicket}}" onchange="update_points('{{ $match_scores_value->matchplayers_matchkey}}','{{ $match_scores_value->matchplayers_playerid}}','wicket',this.value);" style="text-align: center;" onkeypress="return isNumberKey(event)" readonly>
									                            </td>
									                            <td>
									                            	<input class="form-control" type="text" value="{{ $match_scores_value->balldots}}" onchange="update_points('{{ $match_scores_value->matchplayers_matchkey}}','{{ $match_scores_value->matchplayers_playerid}}','balldots',this.value);" style="text-align: center;" onkeypress="return isNumberKey(event)" readonly>
									                            </td>
									                            <td>
									                            	<input class="form-control" type="text" value="{{ $match_scores_value->extra}}" onchange="update_points('{{ $match_scores_value->matchplayers_matchkey}}','{{ $match_scores_value->matchplayers_playerid}}','extra',this.value);" style="text-align: center;" onkeypress="return isNumberKey(event)" readonly>
									                            </td>
									                            <td>
									                            	<input class="form-control" type="text" value="{{ $match_scores_value->catch}}" onchange="update_points('{{ $match_scores_value->matchplayers_matchkey}}','{{ $match_scores_value->matchplayers_playerid}}','catch',this.value);" style="text-align: center;" onkeypress="return isNumberKey(event)" readonly>
									                            </td>
									                            <td>
									                            	<input class="form-control" type="text" value="{{ $match_scores_value->stumbed}}" onchange="update_points('{{ $match_scores_value->matchplayers_matchkey}}','{{ $match_scores_value->matchplayers_playerid}}','stumbed',this.value);" style="text-align: center;" onkeypress="return isNumberKey(event)" readonly>
									                            </td>
									                            <td>
									                            	<input class="form-control" type="text" value="{{ $match_scores_value->runouts}}" onchange="update_points('{{ $match_scores_value->matchplayers_matchkey}}','{{ $match_scores_value->matchplayers_playerid }}','runouts',this.value);" style="text-align: center;" onkeypress="return isNumberKey(event)" readonly>
									                            </td>
									                            <td>
									                            	<input class="form-control" type="text" value="{{ $match_scores_value->man_of_match}}" onchange="update_points('{{ $match_scores_value->matchplayers_matchkey}}','{{ $match_scores_value->matchplayers_playerid }}','man_of_match',this.value);" style="text-align: center;" onkeypress="return isNumberKey(event)" readonly>
									                            </td>
									                            <td>
									                            	<input class="form-control" type="text" value="{{ $match_scores_value->batting_points}}" onchange="update_points('{{ $match_scores_value->matchplayers_matchkey}}','{{ $match_scores_value->matchplayers_playerid }}','batting_points',this.value);" style="text-align: center;" onkeypress="return isNumberKey(event)" readonly>
									                            </td>
									                            <td>
									                            	<input class="form-control" type="text" value="{{ $match_scores_value->fielding_points}}" onchange="update_points('{{ $match_scores_value->matchplayers_matchkey}}','{{ $match_scores_value->matchplayers_playerid }}','fielding_points',this.value);" style="text-align: center;" onkeypress="return isNumberKey(event)" readonly>
									                            </td>
									                            <td>
									                            	<input class="form-control" type="text" value="{{ $match_scores_value->extra_points}}" onchange="update_points('{{ $match_scores_value->matchplayers_matchkey}}','{{ $match_scores_value->matchplayers_playerid }}','extra_points',this.value);" style="text-align: center;" onkeypress="return isNumberKey(event)" readonly>
									                            </td>
									                            <td>
									                            	<input class="form-control" type="text" value="{{ $match_scores_value->negative_points}}" onchange="update_points('{{ $match_scores_value->matchplayers_matchkey}}','{{ $match_scores_value->matchplayers_playerid }}','negative_points',this.value);" style="text-align: center;" onkeypress="return isNumberKey(event)" readonly>
									                            </td>
									                            <td>
									                            	<input class="form-control" type="text" value="{{ $match_scores_value->strike_rate}}" onchange="update_points('{{ $match_scores_value->matchplayers_matchkey}}','{{ $match_scores_value->matchplayers_playerid }}','strike_rate',this.value);" style="text-align: center;" onkeypress="return isNumberKey(event)" readonly>
									                            </td>
									                            <td>
									                            	<input class="form-control" type="text" value="{{ $match_scores_value->economy_rate}}" onchange="update_points('{{ $match_scores_value->matchplayers_matchkey}}','{{ $match_scores_value->matchplayers_playerid }}','economy_rate',this.value);" style="text-align: center;" onkeypress="return isNumberKey(event)" readonly>
									                            </td>
						                                    @else
							                                    <td>{{$match_scores_value->starting11}}</td>
							                                    <td>{{$match_scores_value->out_str}}</td>
							                                    <td>{{$match_scores_value->runs}}</td>
							                                    <td>{{$match_scores_value->bball}}</td>
							                                    <td>{{$match_scores_value->fours}}</td>
							                                    <td>{{$match_scores_value->six}}</td>
							                                    <td>{{$match_scores_value->overs}}</td>
							                                    <td>{{$match_scores_value->maiden_over}}</td>
							                                    <td>{{$match_scores_value->balls}}</td>
							                                    <td>{{$match_scores_value->grun}}</td>
							                                    <td>{{$match_scores_value->wicket}}</td>
							                                    <td>{{$match_scores_value->balldots}}</td>
							                                    <td>{{$match_scores_value->extra}}</td>
							                                    <td>{{$match_scores_value->catch}}</td>
							                                    <td>{{$match_scores_value->stumbed}}</td>
							                                    <td>{{$match_scores_value->runouts}}</td>
							                                    <td>{{$match_scores_value->man_of_match}}</td>
							                                    <td>{{$match_scores_value->batting_points}}</td>
							                                    <td>{{$match_scores_value->bowling_points}}</td>
							                                    <td>{{$match_scores_value->fielding_points}}</td>
							                                    <td>{{$match_scores_value->extra_points}}</td>
							                                    <td>{{$match_scores_value->negative_points}}</td>
							                                    <td>{{$match_scores_value->strike_rate}}</td>
							                                    <td>{{$match_scores_value->economy_rate}}</td>
						                                    @endif
						                                </tr>
						                                @endforeach
						                                @endif
						                            </tbody>  
						                            <tfoot class="thead-primary">
						                                <tr>
							                                <th>TeamName</th>
							                                <th>PlayerKey</th>
							                                <th>PlayerName</th>
							                                <th>PlayerRole</th>
							                                <th>startpoint</th>
							                                <th>DismisalInfo</th>
							                                <th>BattingRun</th>
							                                <th>BattingBall</th>
							                                <th>Fours</th>
							                                <th>Sixs</th>
							                                <th>Overs</th>
							                                <th>Maidens</th>
							                                <th>BallingRuns</th>
							                                <th>Wickets</th>
							                                <th>Zeros</th>
							                                <th>Extra</th>
							                                <th>Catch</th>
							                                <th>Stumbed</th>
							                                <th>RunOuts</th>
							                                <th>ManOfMatch</th>
							                                <th>BattingPoints</th>
							                                <th>BowlingPoints</th>
							                                <th>FieldingPoints</th>
							                                <th>ExtraPoints</th>
							                                <th>NegativePoints</th>
							                                <th>StrikeRate</th>
							                                <th>EconomyRate</th>
							                            </tr>
						                            </tfoot>
						                    </table>
						                </div>
						                <!------BatStats--->
						            </div> 
                                </div>
                                <div id="PointStats" class="tab-pane fade">
                                    <div class="profile-about-me">
                                    	<div class="card-body px-0">
						                    <div class="table-responsive" id="PointStats">
							                    <table id="bootgrid-basic" class="table table-condensed table-hover table-striped" style="min-width: 845px">
						                            <thead class="thead-primary">
								                        <tr>
								                            <th>Team Name</th>
								                            <th>Player Key</th>
								                            <th>Player Name</th>
								                            <th>Player Role</th>
								                            <th>start point</th>
								                            <th>Run</th>
								                            <th>Fours</th>
								                            <th>Sixs</th>
								                            <th>Strike Rate</th>
								                            <th>Century</th>
								                            <th>Wickets</th>
								                            <th>Maidens</th>
								                            <th>Economy Rate</th>
								                            <th>Catch</th>
								                            <th>Stumped</th>
								                            <th>Total Bonus</th>
								                            <th>negative points</th>
								                            <th>Total Points</th>
								                        </tr>
							                        </thead>
							                        <tbody>
							                        	@if(count($match_points)>0)
							                        	@foreach($match_points as $match_points_value)
							                            <tr>
							                                <td>{{$match_points_value->team_short_name}}</td>
							                                <td>{{$match_points_value->players_player_key}}</td>
							                                <td>{{$match_points_value->matchplayers_name}}</td>
							                                <td>{{$match_points_value->matchplayers_role}}</td>
							                                <td>{{$match_points_value->startingpoints}}</td>
							                                <td>{{$match_points_value->runs}}</td>
							                                <td>{{$match_points_value->fours}}</td>
							                                <td>{{$match_points_value->sixs}}</td>
							                                <td>{{$match_points_value->strike_rate}}</td>
							                                <td>{{$match_points_value->century}}</td>
							                                <td>{{$match_points_value->wickets}}</td>
							                                <td>{{$match_points_value->maidens}}</td>
							                                <td>{{$match_points_value->economy_rate}}</td>
							                                <td>{{$match_points_value->catch}}</td>
							                                <td>{{$match_points_value->stumping}}</td>
							                                <td>{{$match_points_value->bonus}}</td>
							                                <td>{{$match_points_value->negative}}</td>
							                                <td>{{$match_points_value->total}}</td>
							                            </tr>
							                            @endforeach
							                            @endif
							                        </tbody>            
							                        <tfoot class="thead-primary">
							                           <th>Team Name</th>
							                            <th>Player Key</th>
							                            <th>Player Name</th>
							                            <th>Player Role</th>
							                            <th>start point</th>
							                            <th>Run</th>
							                            <th>Fours</th>
							                            <th>Sixs</th>
							                            <th>Strike Rate</th>
							                            <th>Century</th>
							                            <th>Wickets</th>
							                            <th>Maidens</th>
							                            <th>Economy Rate</th>
							                            <th>Catch</th>
							                            <th>Stumped</th>
							                            <th>Total Bonus</th>
							                            <th>negative points</th>
							                            <th>Total Points</th>
							                        </tfoot>
						                        </table>
						                	</div>
						                </div>          
                                    </div>
                                </div>
                                <div id="BATTING" class="tab-pane fade">
                                    <div class="card-body px-0">
					                    <div class="table-responsive">
					                        <table id="bootgrid-basic" class="table table-condensed table-hover table-striped" style="min-width: 845px">
					                            <thead class="thead-primary">
					                                <tr>
					                                <th>MatchKey</th>
					                                <th>TeamKey</th>
					                                <th>Title</th>
					                                <th>PlayerKey</th>
					                                <th>Batsman</th>
					                                <th>DismisalInfo</th>
					                                <th>Run</th>
					                                <th>Ball</th>
					                                <th>Fours</th>
					                                <th>Sixs</th>
					                                <th>SR</th>
					                            </tr>
					                            </thead>
					                           	<tbody>
					                           		@if(count($match_scores)>0)
					                           		@foreach($match_scores as $match_scores_batting)
					                           		@if($match_scores_batting->batting==1)
					                           		<tr class="thead-primary">
				                           				<td>{{$match_scores_batting->matchplayers_matchkey}}</td>
				                           				<td>{{$match_scores_batting->teams_team_key}}</td>
				                           				<td>
				                           					{{$match_scores_batting->teams_team}}
				                           					@php
				                           						$number = $match_scores_batting->innings;
				                           						$ends = array('th','st','nd','rd','th','th','th','th','th','th');
				                           						if (($number %100) >= 11 && ($number%100) <= 13){
																	$abbreviation = $number. 'th';
				                           						}else{
																	$abbreviation = $number. $ends[$number % 10];
				                           						}
				                           					@endphp
				                           					{{$abbreviation}}Inning
				                           				</td>
				                           				<td>{{$match_scores_batting->players_player_key}}</td>
				                           				<td>{{$match_scores_batting->matchplayers_name}}</td>
				                           				<td>{{$match_scores_batting->out_str}}</td>
				                           				<td>{{$match_scores_batting->runs}}</td>
				                           				<td>{{$match_scores_batting->bball}}</td>
				                           				<td>{{$match_scores_batting->fours}}</td>
				                           				<td>{{$match_scores_batting->six}}</td>
				                           				<td>{{$match_scores_batting->strike_rate}}</td>
					                           		</tr>
					                           		@endif
					                           		@endforeach
					                           		@endif
					                           	</tbody>
					                            <tfoot class="thead-primary">
					                                <tr>
					                                <th>MatchKey</th>
					                                <th>TeamKey</th>
					                                <th>Title</th>
					                                <th>PlayerKey</th>
					                                <th>Batsman</th>
					                                <th>DismisalInfo</th>
					                                <th>Run</th>
					                                <th>Ball</th>
					                                <th>Fours</th>
					                                <th>Sixs</th>
					                                <th>SR</th>
					                            </tr>
					                            </tfoot>
					                        </table>
				                    	</div>
				                    </div>
				                </div>
				                <div id="BOWLING" class="tab-pane fade">
                                    <div class="card-body px-0">
					                    <div class="table-responsive">
						                    <table id="bootgrid-basic" class="table table-condensed table-hover table-striped" style="min-width: 845px">
						                            <thead class="thead-primary">
						                                <tr>
							                                <th>MatchKey</th>
							                                <th>TeamKey</th>
							                                <th>TeamName</th>
							                                <th>PlayerKey</th>
							                                <th>Bowler</th>
							                                <th>Overs</th>
							                                <th>Maidens</th>
							                                <th>Balls</th>
							                                <th>Runs</th>
							                                <th>Wickets</th>
							                                <th>Zeros</th>
							                                <th>Extra</th>
							                                <th>Econ</th>
							                            </tr>
						                            </thead>
						                           	<tbody class="thead-primary">
						                           		@if(count($match_scores)>0)
						                           		@foreach($match_scores as $match_scores_bowling)
						                           		@if($match_scores_bowling->bowling==1)
						                           		<tr class="thead-primary">
					                           				<td>{{$match_scores_batting->matchplayers_matchkey}}</td>
					                           				<td>{{$match_scores_batting->teams_team_key}}</td>
					                           				<td>
					                           					{{$match_scores_batting->teams_team}}
					                           				</td>
					                           				<td>{{$match_scores_batting->players_player_key}}</td>
					                           				<td>{{$match_scores_batting->matchplayers_name}}</td>
					                           				<td>{{$match_scores_batting->overs}}</td>
					                           				<td>{{$match_scores_batting->maiden_over}}</td>
					                           				<td>{{$match_scores_batting->balls}}</td>
					                           				<td>{{$match_scores_batting->grun}}</td>
					                           				<td>{{$match_scores_batting->wicket}}</td>
					                           				<td>{{$match_scores_batting->balldots}}</td>
					                           				<td>{{$match_scores_batting->extra}}</td>
					                           				<td>{{$match_scores_batting->economy_rate}}</td>
						                           		</tr>
						                           		@endif
						                           		@endforeach
						                           		@endif
						                           	</tbody>
						                            <tfoot class="thead-primary">
						                                <tr>
						                                	<th>MatchKey</th>
							                                <th>TeamKey</th>
							                                <th>TeamName</th>
							                                <th>PlayerKey</th>
							                                <th>Bowler</th>
							                                <th>Overs</th>
							                                <th>Maidens</th>
							                                <th>Balls</th>
							                                <th>Runs</th>
							                                <th>Wickets</th>
							                                <th>Zeros</th>
							                                <th>Extra</th>
							                                <th>Econ</th>
						                            	</tr>
						                            </tfoot>
						                    </table>
					                    </div>
					                </div>
				                </div>
				                <div id="FIELDING" class="tab-pane fade">
                                 	<div class="card-body px-0">
					                    <div class="table-responsive">
					                        <table id="bootgrid-basic" class="table table-condensed table-hover table-striped" style="min-width: 845px">
					                            <thead class="thead-primary">
					                                <tr>
					                                <th>MatchKey</th>
					                                <th>Teams Team Key</th>
					                                <th>Team Name</th>
					                                <th>Player Key</th>
					                                <th>Player Name</th>
					                                <th>Catch</th>
					                                <th>Stumbed</th>
					                                <th>RunOuts</th>
					                            </tr>
					                            </thead>
					                           	<tbody class="thead-primary">
					                           		@if(count($match_scores)>0)
					                           		@foreach($match_scores as $match_scores_fielding)
					                           		<tr class="thead-primary">
					                       				<td>{{$match_scores_fielding->matchplayers_matchkey}}</td>
					                       				<td>{{$match_scores_fielding->teams_team_key}}</td>
					                       				<td>
					                       					{{$match_scores_fielding->teams_team}}
					                       				</td>
					                       				<td>{{$match_scores_fielding->players_player_key}}</td>
					                       				<td>{{$match_scores_fielding->matchplayers_name}}</td>
					                       				<td>{{$match_scores_fielding->catch}}</td>
					                       				<td>{{$match_scores_fielding->stumbed}}</td>
					                       				<td>{{$match_scores_fielding->runouts}}</td>
					                           		</tr>
					                           		@endforeach
					                           		@endif
					                           	</tbody>
					                            <tfoot class="thead-primary">
					                                <tr>
					                                <th>MatchKey</th>
					                                <th>Teams Team Key</th>
					                                <th>Team Name</th>
					                                <th>Player Key</th>
					                                <th>Player Name</th>
					                                <th>Catch</th>
					                                <th>Stumbed</th>
					                                <th>RunOuts</th>
					                            </tr>
					                            </tfoot>
					                        </table>
					                	</div>
					                </div>   
				                </div>
				                <div id="TEAM" class="tab-pane fade">
                              		<div class="card-body px-0">
					                    <div class="table-responsive">
					                        <table id="bootgrid-basic" class="table table-condensed table-hover table-striped" style="min-width: 845px">
					                            <thead class="thead-primary">
					                                <tr>
						                                <th>MatchKey</th>
						                                <th>PlayerKey</th>
						                                <th>PlayerName</th>
						                                <th>TeamKey</th>
						                                <th>TeamName</th>
						                                <th>IsUnderTeam</th>
						                                <th>PlayerRole</th>
						                                <th>Edit Points</th>
						                            </tr>
					                            </thead>
					                           	<tbody>
					                           		@if(count($match_scores)>0)
					                           		@foreach($match_scores as $match_scores_team)
					                           		<tr class="thead-primary">
					                       				<td>{{$match_scores_team->matchplayers_matchkey}}</td>
					                       				<td>{{$match_scores_team->players_player_key}}</td>
					                       				<td>
					                       					{{$match_scores_team->matchplayers_name}}
					                       				</td>
					                       				<td>{{$match_scores_team->teams_team_key}}</td>
					                       				<td>{{$match_scores_team->teams_team}}</td>
					                       				<td>@php if($match_scores_team->starting11==1){ echo 'True'; }else{ echo 'No'; } @endphp</td>
					                       				<td>{{$match_scores_team->matchplayers_role}}</td>
					                       				<td><a class="btn btn-success btn-xs" style="color:#fff;" href="{{route($modelName.'.player_points',[$match_scores_team->matchplayers_matchkey,$match_scores_team->matchplayers_playerid])}}">Update</a></td>
					                           		</tr>
					                           		@endforeach
					                           		@endif
					                           	</tbody>
					                            <tfoot class="thead-primary">
					                                <tr>
						                                <th>MatchKey</th>
						                                <th>PlayerKey</th>
						                                <th>PlayerName</th>
						                                <th>TeamKey</th>
						                                <th>TeamName</th>
						                                <th>IsUnderTeam</th>
						                                <th>PlayerRole</th>
						                                <th>Edit Points</th>
						                            </tr>
					                            </tfoot>
					                        </table>
					                    </div>
					                </div>      
				                </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>            
</div>

<script>	
function update_points(matchkey,playerid,field,value){
	$("#loadingshow").show();
	$.ajax({
	   type:'POST',
	   url:"{{route($modelName.'.update_points')}}",
	   data:'_token =<?php echo csrf_token();?>&matchkey='+matchkey+'&playerid='+playerid+'&field='+field+'&value='+value,
	   success:function(data){
		   $("#loadingshow").hide();
		   if(data==1){
			   location.reload();
		   }
		}
	});
}
</script>
@endsection