@extends('admin.layouts.default')
@section('content')
<!-- DATATABLE GLOBAL SCRIPTS -->
  {{ HTML::style('css/admin/datatable.css') }}
  {{ HTML::style('css/select2.min.css') }}
  {{ HTML::script("js/admin/datatable.js") }}
  {{ HTML::script("js/select2.min.js") }}
<style type="text/css">
    #matchid {
        width: 50%;
        margin-right: 1rem;
        height: 35px;
    }
    .action-btn {
        margin-bottom: 0.5rem !important;
    }
</style>

<div class="container-fluid">
    <div class="row page-titles mx-0" data-aos="fade-up">
        <div class="col-sm-6 p-md-0">
            <!-- <div class="welcome-text">
                <h4>All Matches</h4>
            </div> -->
        </div>
        <div class="col-sm-6 p-md-0 justify-content-sm-end mt-2 mt-sm-0 d-flex">
            <ol class="breadcrumb">
                <li class="breadcrumb-item active"><a href="{{route($modelName.'.matchmapping')}}">All Matches</a></li>
                <li class="breadcrumb-item">Match Result</li>
            </ol>
        </div>
    </div>  

<div class="row">
        <div class="col-xl-12 col-xxl-12">
            <div class="card" data-aos="fade-up">
            <!-- <div class="card-header">
                <h4>Select Series First</h4>
                <a href="{{route('Series.add')}}" class="btn btn-primary btn-sm"> Add New {{$modelName}}</a>  
                <a href="{{route($modelName.'.import_schedule_data')}}" class="btn btn-primary btn-sm">Import data from API </a>
            </div> -->                   
                <div class="card-body">                                
                    <div class="basic-form">

                            <div class="form-group">  
                                <div class="col-md-8 card mb-0 float-left" data-aos="fade-up">
                                    <div class="card-body">
                                        <h4 class="lbl_frm py-2 mb-0">Select Series</h4>
                                        <select class="form-control in_text bor-input js-example-basic-single" name="matchid" id="matchid">
                                            <option value="">Select Series</option>
                                            @if(!empty($findalllistmatches))
                                            @foreach($findalllistmatches as $series)
                                            <option value="<?php echo base64_encode(serialize($series->series_id)); ?>" >{{ucwords($series->series_name)}}</option>
                                            @endforeach
                                            @endif
                                        </select>
                                        <button class="btn btn-gray" id="reset_data" ><i class="fa fa-repeat mr-2"></i>Reset</button>
                                    </div>
                                </div>
                            </div> 
                            <div class="col-md-4 card mb-0 b_shad_n " data-aos="fade-up">
                                <div class="card-body text-right">
                                    <a href="{{route($modelName.'.import_schedule_data')}}" class="btn btn-primary btn-sm">Import data from API </a>
                                </div>
                            </div>
                            <!-- <div class="col-md-4 card mb-0 b_shad_n " data-aos="fade-up">
                                <div class="card-body">
                                    <button class="btn btn-gray" type="submit"><i class="fa fa-repeat mr-2"></i>Reset</button>
                                </div>
                            </div> -->                               
                    </div>
                </div>
            </div>
        </div>            
    </div>

    
    <div class="row matchData">           
        <div class="col-12">
            <div class="card" data-aos="fade-up">
                <div class="card-header">
                    <h4>Match Results</h4>
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                        <table id="dataList" class="display" style="min-width: 845px">
                            <thead>
                                <tr>
                                <th>S No.</th>
                                <th>Match Name</th>
                                <th>Action</th>
                                <th style="min-width: 435px;">Match Status</th>
                            </tr>
                            </thead>
                           
                            <tfoot>
                                <tr>
                                <th>S No.</th>
                                <th>Match Name</th>
                                <th>Action</th>
                                <th>Match Status</th>
                            </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
</div>
<script type="text/javascript">
$(document).ready(function() {
    let matchid = '';
    let matchStatus = ''
    /*$('#dataList').DataTable({
        order: [0, 'desc'],
        "processing": true,
        "serverSide": true,
        "ajax":{
          url:"{{route($modelName.'.matchresult')}}",
          type: "POST",
          data : {"_token": "{{ csrf_token() }}"} 
        },
        "columns": [
            {data: 'DT_RowIndex', name: 'DT_RowIndex'},
            {data: 'series_name', name: 'series_name'},
            {data: 'totalmatch', name: 'totalmatch'},
            {data: 'findalllistmatches', name: 'findalllistmatches'},
            {data: 'created_at', name: 'created_at'},
        ]
    });*/

    $(".matchData").hide();

    $(document).on('change','#matchid', function(){
        let matchid = $(this).val().trim();
        $(".matchData").show();
        if(matchid == '')
            return false;
        $('#dataList').DataTable().clear().destroy();
        allMatchDetail(matchid,matchStatus);

    });

    $(document).on('click', '#reset_data', function(){
        $('#matchid').prop('selectedIndex',0);
        $('#dataList').DataTable().clear().destroy();
        $(".matchData").hide();
    });

    /*$('.js-example-basic-single').select2({
        placeholder: 'Select series'
    });*/

});

function allMatchDetail(matchid,matchStatus){
    $('#dataList').DataTable({
        order: [0, 'desc'],
        "processing": true,
        "serverSide": true,
        "ajax":{
          url:"match-detail/"+matchid,
          type: "POST",
          data : {"_token": "{{ csrf_token() }}","matchStatus":matchStatus} 
        },
        "columns": [
            {data: 'DT_RowIndex', name: 'DT_RowIndex'},
            {data: 'match_name', name: 'match_name'},
            {data: 'action', name: 'action'},
            {data: 'match_status', name: 'match_status'},
        ]
    });
}

</script>
@endsection 