@extends('admin.layouts.default')
@section('content')
<!-- DATATABLE GLOBAL SCRIPTS -->
  {{ HTML::style('css/admin/datatable.css') }}
  {{ HTML::script("js/admin/datatable.js") }}

<div class="container-fluid">
    <div class="row page-titles mx-0" data-aos="fade-up">
        <div class="col-sm-6 p-md-0">
            <!-- <div class="welcome-text">
                <h4>All Matches</h4>
            </div> -->
        </div>
        <div class="col-sm-6 p-md-0 justify-content-sm-end mt-2 mt-sm-0 d-flex">
            <!-- <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="javascript:void(0)">Datatable</a></li>
                <li class="breadcrumb-item active"><a href="javascript:void(0)">Series</a></li>
            </ol> -->
        </div>
    </div>
    <div class="row">           
        <div class="col-12">
                    <div class="card" data-aos="fade-up">
                        <div class="card-header">
                          <!-- <a href="{{route('Series.add')}}" class="btn btn-primary btn-sm"> Add New {{$modelName}}</a> -->  
                          <h4>All Matches</h4>
                           <a href="{{route($modelName.'.import_schedule_data')}}" class="btn btn-primary btn-sm">Import data from API </a>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table id="dataList" class="display" style="min-width: 845px">
                                    <thead>
                                        <tr>
                                        <th>S No.</th>
                                        <th>Match</th>
                                        <th>Date & Time</th>
                                        <th>Teams</th>
                                        <th>Action</th>
                                    </tr>
                                    </thead>
                                   
                                    <tfoot>
                                        <tr>
                                        <th>S No.</th>
                                        <th>Match</th>
                                        <th>Date & Time</th>
                                        <th>Teams</th>
                                        <th>Action</th>
                                    </tr>
                                    </tfoot>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
    </div>
</div>

<script type="text/javascript">
$(document).ready(function() {
    $('#dataList').DataTable({
      order: [0, 'desc'],
        "processing": true,
        "serverSide": true,
        "pageLength": 100,
        "ajax":{
          url:"{{route($modelName.'.matchmapping')}}",
          type: "POST",
          data : {"_token": "{{ csrf_token() }}"} 
        },
        "columns": [
            {data: 'DT_RowIndex', name: 'DT_RowIndex'},
            {data: 'name', name: 'name'},
            {data: 'start_date', name: 'start_date', orderable: true, searchable: false},
            {data: 'teams', name: 'teams',orderable: false, searchable: false},
            {data: 'action', name: 'action', orderable: false, searchable: false},
        ]
    });
});
</script>
@endsection        