@extends('admin.layouts.default')
@section('content')
<script type="text/javascript">
$(document).ready(function(){
    $('[data-toggle="tooltip"]').tooltip();
});
</script>
<!--********************************** Content body start  ***********************************-->
<div class="container-fluid">
    <div class="row page-titles mx-0" data-aos="fade-up">
        <div class="col-sm-6 p-md-0">
            <!-- <div class="welcome-text">
                <h4>Edit Player</h4>
                <span class="ml-1">Layout</span>
            </div> -->
        </div>
       
        <div class="col-sm-6 p-md-0 justify-content-sm-end mt-2 mt-sm-0 d-flex">
            <ol class="breadcrumb">
                <li class="breadcrumb-item active"><a href="{{route($modelName.'.view')}}">All Player</a></li>
                <li class="breadcrumb-item">Edit</li>
            </ol>
        </div>
    </div>
    <!-- row -->
    <div class="row">
        <div class="col-xl-12 col-xxl-12">
            <div class="card" data-aos="fade-up">
                <div class="card-header">
                    <h4 class="card-title">Edit Player Detail</h4>
                </div>
                <div class="card-body">
                    <div class="basic-form">
                        {{ Form::open(['role' => 'form','id'=>'playerEditForm','route'=>[$modelName.'.edit',base64_encode(serialize($playerskeyget->id))], 'files' => true]) }}
                            <div class="form-row">
                                <!-- <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Player key</label>
                                    <input id="player_key" type="text" name="player_key" class="form-control in_text" value="{{$player->player_key}}" readonly="">
                                </div> -->
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Player Name</label>                    
                                    <input class="form-control in_text" autocomplete="off" placeholder="enter player name here" id="player_name" name="player_name" type="text" value="{{$player->fullname}}">                                                
                                </div>
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Select Role</label>                    
                                    <select class="form-control in_text" name="role">
                                        <option value="">Select Role</option>
                                        <option value="batsman" <?php if($player->role=='batsman'){ echo 'selected'; }?>>Batsman</option>
                                        <option value="bowler" <?php if($player->role=='bowler'){ echo 'selected'; }?>>Bowler</option>
                                        <option value="allrounder" <?php if($player->role=='allrounder'){ echo 'selected'; }?>>All rounder</option>
                                        <option value="keeper" <?php if($player->role=='keeper'){ echo 'selected'; }?>>Wicket Keeper</option>
                                    </select>                                      
                                </div>
                            </div>
                             <div class="form-row">    
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Batting style</label>
                                    <input id="batting_style" type="text" name="batting_style" class="form-control in_text" value="{{$player->batting_style}}" placeholder="enter batting style of player here">
                                </div>
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Bowling style</label>                    
                                    <input class="form-control in_text" autocomplete="off" placeholder="enter bowling style of player here" id="bowling_style" name="bowling_style" type="text" value="{{$player->bowling_style}}">                                                
                                </div>                                        
                            </div>
                            <div class="form-row">    
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Date of Birth</label>
                                    @if($player->dob!="0000-00-00")
                                        <input id="dob" type="text" name="dob" class="form-control datetimepickerget in_text" value="{{date('M/d/Y',strtotime($player->dob))}}" placeholder="Enter date of birth">
                                    @else
                                        <input id="dob" type="text" name="dob"  value="" class="form-control datetimepickerget in_text" placeholder="Enter date of birth">
                                    @endif
                                    
                                </div>
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Country</label>                    
                                    <input class="form-control in_text" autocomplete="off" placeholder="enter country player here" id="country" name="country" type="text" value="{{$player->country}}">                                                
                                </div>                                        
                            </div>
                            <div class="form-row">
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Image</label>
                                   <input class="form-control in_text" name="image" id="image" type="file">   
                                   <div class="error-message help-inline py-2">
                                      <?php echo $errors->first('image'); ?>
                                    </div>                                             
                                    <?php if($player->image!=""){ ?>
                                      <img src="<?php echo URL::asset('uploads/players/'.$player->image)?>" style="width:100px;height:100px;">
                                      <?php
                                    }else{
                                      ?>
                                      <img src="<?php echo DEFAULT_PLAYER_IMAGE_URL;?>" style="width:100px;height:100px;">
                                    <?php } ?>                                      
                                </div>     
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Credit</label>
                                    <input id="credit" type="number" name="credit" class="form-control in_text" value="{{$player->credit}}" placeholder="enter player credit here">
                                </div>
                                                                        
                            </div>
                               
                            <div class="py-2">
                            <button type="submit" class="btn btn-primary mr-2">Submit</button> 
                            <button class="btn btn-gray" type="button" id="cancel_btn">Cancel</button></div>
                        {{ Form::close() }}
                    </div>
                </div>
            </div>
        </div>                    
    </div>
</div>
<script type="text/javascript">
    $(document).ready(function(){
        $("#dob").datetimepicker({
            timepicker: false,
            format:'Y-m-d'
        });
        $(document).on("click","#cancel_btn", function(){
            let href = $(".breadcrumb-item.active a").attr("href");
            window.location = href;
        });
    });
</script>
<!--**********************************
Content body end
***********************************-->
@endsection