@extends('admin.layouts.default')
@section('content')

<!--********************************** Content body start  ***********************************-->
<div class="container-fluid">
    <div class="row page-titles mx-0" data-aos="fade-up">
        <div class="col-sm-6 p-md-0">
            <!-- <div class="welcome-text">
                <h4>Edit User</h4>
            </div> -->
        </div>                   
        <div class="col-sm-6 p-md-0 justify-content-sm-end mt-2 mt-sm-0 d-flex">
            <ol class="breadcrumb">                   
                <li class="breadcrumb-item active">
                    <a href="{{route($modelName.'.view')}}">View all User</a></li>
                <li class="breadcrumb-item">Edit User</li>
            </ol>
        </div>
    </div>               
    <!-- row -->
    <div class="row">
        <div class="col-xl-12 col-xxl-12">
            <div class="card" data-aos="fade-up">
                <div class="card-header">
                    <h4 class="card-title">Edit User</h4>
                </div>                            
                <div class="card-body">
                    <div class="basic-form">
                        {{ Form::open(['role' => 'form','id'=>'EditUserForm','route'=>[$modelName.'.edit_user',base64_encode(serialize($user->id))],'files' => true]) }}
                        {{csrf_field()}} 
                            <div class="form-row">
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Username</label>
                                    <input id="username" type="text" placeholder="enter username here" name="username" class="form-control in_text" value="{{$user->username}}">
                                     <div class="error-message help-inline">
                                      <?php echo $errors->first('username'); ?>
                                    </div>
                                </div>
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Mobile</label>                          
                                    <input class="form-control in_text" autocomplete="off" placeholder="enter mobile no here" id="mobile" name="mobile" type="text" value="{{$user->mobile}}">
                                     <div class="error-message help-inline">
                                      <?php echo $errors->first('mobile'); ?>
                                    </div>
                                </div>    
                            </div>
                            <div class="form-row">
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Email</label>
                                    <input id="email" type="text" placeholder="enter email here" name="email" class="form-control in_text" value="{{$user->email}}">
                                     <div class="error-message help-inline">
                                      <?php echo $errors->first('email'); ?>
                                    </div>
                                </div>
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Gender</label>
                                    <div class="form-group row py-2">
                                        <label class="radio-inline frm_chk">
                                            <input type="radio" class="mr-2" name="gender" value="male" <?php if($user->gender=='male') { echo'checked'; } ?> >Male</label>
                                        <label class="radio-inline frm_chk">
                                            <input type="radio" class="mr-2" name="gender" value="female" <?php if($user->gender=='female') { echo'checked'; } ?> > Female</label>
                                        <div class="error-message help-inline">
                                            <?php echo $errors->first('gender'); ?>
                                        </div>    
                                    </div>
                                </div>
                            </div>                            
                            <div class="form-row">
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Image</label>
                                    <input type="file" class="form-control in_text" name="image[]">
                                    @if($user->image!='')
                                    <img src="{{URL::asset('uploads/user/'.$user->image)}}" style='width:100px;height:100px;' class="my-2">
                                    @else
                                        <img src="{{URL::asset('images/logo.png')}}" style='width:100px;height:100px;' class="my-2">
                                    @endif
                                     <div class="error-message help-inline">
                                      <?php echo $errors->first('image'); ?>
                                    </div>
                                </div>
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Country</label>
                                    <input id="country" type="text" placeholder="enter country here" name="country" class="form-control in_text text-capitalize" value="{{$user->country}}">
                                     <div class="error-message help-inline">
                                      <?php echo $errors->first('country'); ?>
                                    </div>
                                </div>  
                            </div>
                            <div class="form-row">                                
                                 <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">State</label>
                                    <select class="form-control in_text" id="state" name="state" autocomplete="off">
                                        <option value=""> Select state </option>
                                        @if(isset($states) && !empty($states))
                                        @foreach($states as $statesval)
                                        <option value="<?php echo $statesval->id ?>" <?php if($statesval->id == $user->state) { echo "selected"; }?> >
                                        {{$statesval->name}}
                                        </option>
                                        @endforeach
                                        @endif
                                    </select>
                                     <div class="error-message help-inline">
                                      <?php echo $errors->first('state'); ?>
                                    </div>
                                </div>   
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">city</label>                           
                                    <input class="form-control in_text text-capitalize" autocomplete="off" placeholder="enter city here" id="city" name="city" type="text" value="{{$user->city}}">
                                     <div class="error-message help-inline">
                                      <?php echo $errors->first('city'); ?>
                                    </div>
                                </div>    
                            </div>
                             <div class="form-row mb-3">
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">DOB</label>                           
                                    <input class="form-control datetimepickerget in_text" autocomplete="off" placeholder="enter dob here" id="dob" name="dob" type="text" value="{{date('Y-m-d',strtotime($user->city))}}">
                                     <div class="error-message help-inline">
                                      <?php echo $errors->first('dob'); ?>
                                    </div>
                                </div> 
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Team</label>                           
                                    <input class="form-control in_text" autocomplete="off" placeholder="enter team name here" id="team" name="team" type="text" value="{{$user->team}}">
                                     <div class="error-message help-inline">
                                      <?php echo $errors->first('team'); ?>
                                    </div>
                                </div>    
                            </div>
                            <button type="submit" class="btn btn-primary mr-2">Submit</button> 
                            <button class="btn btn-gray" type="button" id="cancel_btn">Cancel</button>
                        {{ Form::close() }}
                    </div>
                </div>
            </div>
        </div>                    
    </div>
</div>
<script type="text/javascript">
$(document).ready(function(){
    $('[data-toggle="tooltip"]').tooltip();
    $('#dob').datetimepicker({
        timepicker: false,
        format:'Y-m-d'
    });
    $(document).on("click","#cancel_btn", function(){
        let href = $(".breadcrumb-item.active a").attr("href");
        window.location = href;
    });
});
</script>
<!--**********************************
Content body end
***********************************-->
@endsection