@extends('admin.layouts.default')
@section('content')
<script type="text/javascript">
$(document).ready(function(){
    $('[data-toggle="tooltip"]').tooltip();
});
</script>

<!--********************************** Content body start  ***********************************-->
<div class="container-fluid">
    <div class="row page-titles mx-0" data-aos="fade-up">
        <div class="col-sm-6 p-md-0">
            <!-- <div class="welcome-text">
                <h4>Edit User Avatars</h4>
                <span class="ml-1">Layout</span>
            </div> -->
        </div>                   
        <div class="col-sm-6 p-md-0 justify-content-sm-end mt-2 mt-sm-0 d-flex">
            <ol class="breadcrumb">                   
                <li class="breadcrumb-item active">
                    <a href="{{route($modelName.'.user_avatars')}}">Default Avatars</a></li>
                <li class="breadcrumb-item">Edit Avatar</li>
            </ol>
        </div>
    </div>               
    <!-- row -->
    <div class="row">
    <div class="col-xl-12 col-xxl-12">
        <div class="card" data-aos="fade-up">
            <div class="card-header">
                <h4 class="card-title">Edit User Avatars</h4>
            </div>                            
            <div class="card-body">
                <div class="basic-form">
                    {{ Form::open(['role' => 'form','id'=>'AddAvatarsForm','route'=>[$modelName.'.edit_user_avatars',base64_encode(serialize($user_avat->id))],'files' => true]) }}
                    {{csrf_field()}}
                        <div class="form-row mb-3">
                            <div class="form-group col-md-6">
                                <label class="lbl_frm py-2">Uploaded Image</label>
                                <input type="file" class="form-control in_text" name="image[]">
                                @if($user_avat->image!='')
                            		<img src="{{URL::asset('uploads/user_avatars/'.$user_avat->image)}}" style='width:100px;height:100px;' class="my-2">
		                        @else
		                            <img src="{{URL::asset('images/logo.png')}}" style='width:100px;height:100px;' class="my-2">
		                        @endif
                                 <div class="error-message help-inline">
                                  <?php echo $errors->first('image'); ?>
                                </div>
                            </div>

                            <div class="form-group col-md-6">
                                <label class="lbl_frm py-2">Approval status</label>
                                <select class="form-control in_text" id="status" required="" name="status">
									<option value=""> Select status </option>
									<option value="1" <?php if($user_avat->status==1) { echo'selected'; } ?>> Active </option>
									<option value="0" <?php if($user_avat->status==0) { echo'selected'; } ?>> InActive </option>
								</select>
                                 <div class="error-message help-inline">
                                  <?php echo $errors->first('status'); ?>
                                </div>
                            </div>      
                        </div>
                        <button type="submit" class="btn btn-primary mr-2">Submit</button> 
                        <button class="btn btn-gray" type="button" id="cancel_btn">Cancel</button>
                    {{ Form::close() }}
                </div>
            </div>
        </div>
    </div>                    
</div>
<!--**********************************
Content body end
***********************************-->

<script type="text/javascript">
    $(document).ready(function(){
        $(document).on("click","#cancel_btn", function(){
            let href = $(".breadcrumb-item.active a").attr("href");
            window.location = href;
        });    
    });
</script>

@endsection