@extends('admin.layouts.default')
@section('content')
<!-- DATATABLE GLOBAL SCRIPTS -->
  {{ HTML::style('css/admin/datatable.css') }}
  {{ HTML::script("js/admin/datatable.js") }}
<!-- DATATABLE GLOBAL SCRIPTS -->
<script>
  $(document).ready(function(){
    $('[data-toggle="tooltip"]').tooltip();
  });
</script>

<div class="container-fluid">
    <div class="row page-titles mx-0" data-aos="fade-up">
        <div class="col-sm-6 p-md-0">
            <!-- <div class="welcome-text">
                <h4>All Match List Detail</h4>
            </div> -->
        </div>
        <div class="col-sm-6 p-md-0 justify-content-sm-end mt-2 mt-sm-0 d-flex">
            <ol class="breadcrumb">
                <li class="breadcrumb-item active"><a href="{{route($modelName.'.view')}}">View all User</a></li>
                <li class="breadcrumb-item"><a href="javascript::void(0);">Match Summary</a></li>
            </ol>
        </div>
    </div>
    <div class="row">           
        <div class="col-12">
            <div class="card" data-aos="fade-up">
                <div class="card-header"> <h4>Match Summary</h4></div> 
                <div class="card-body">
                    <div class="table-responsive">
                        <table id="dataList" class="display" style="min-width: 845px">
                            <thead>
                                <tr>
                                <th>S No.</th>
                                <th>Matchkey</th>
                                <th>Entry Fee</th>
                                <th>Win Amount</th>
                                <th>Max. User</th>
                                <th>Min. User</th>
                                <th>Joined Users</th>
                                <th>Bonus</th>
                                <th>Winning</th>
                                <th>Unutilized</th>
                            </tr>
                            </thead>
                           
                            <tfoot>
                                <tr>
                                <th>S No.</th>
                                <th>Matchkey</th>
                                <th>Entry Fee</th>
                                <th>Win Amount</th>
                                <th>Max. User</th>
                                <th>Min. User</th>
                                <th>Joined Users</th>
                                <th>Bonus</th>
                                <th>Winning</th>
                                <th>Unutilized</th>
                            </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@php
$id = base64_encode(serialize($id));
@endphp
<!--End Edit User Balance Modal -->
<script type="text/javascript">
$(document).ready(function() {
    $('#dataList').DataTable({
      /*order: [1, 'desc'],*/
        "processing": true,
        "serverSide": true,
        "ajax":{
          url:"{{route($modelName.'.match_detail',[$id,$matchkey])}}",
          type: "POST",
          data : {"_token": "{{ csrf_token() }}"}           
        },
        "columns": [
            {data: 'DT_RowIndex', name: 'DT_RowIndex'},
            {data: 'matchkey', name: 'matchkey'},
            {data: 'entryfee', name: 'entryfee'},
            {data: 'win_amount', name: 'win_amount'},
            {data: 'maximum_user', name: 'maximum_user'},
            {data: 'minimum_user', name: 'minimum_user'},
            {data: 'joinedusers', name: 'joinedusers'},
            {data: 'bonus', name: 'bonus'},
            {data: 'winning', name: 'winning'},
            {data: 'balance', name: 'balance'},
        ]
    });
});
</script>
@endsection        