@extends('admin.layouts.default')
@section('content')
<!-- DATATABLE GLOBAL SCRIPTS -->
  {{ HTML::style('css/admin/datatable.css') }}
  {{ HTML::script("js/admin/datatable.js") }}
<!-- DATATABLE GLOBAL SCRIPTS -->
<script>
  $(document).ready(function(){
    $('[data-toggle="tooltip"]').tooltip();
  });
</script>

<div class="container-fluid">
    <div class="row page-titles mx-0" data-aos="fade-up">
        <div class="col-sm-6 p-md-0">
            <!-- <div class="welcome-text">
                <h4>All Registered Users Wallet List</h4>
            </div> -->
        </div>
        <div class="col-sm-6 p-md-0 justify-content-sm-end mt-2 mt-sm-0 d-flex">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{route('Registerusers.view')}}">All Register Users</a></li>
                <li class="breadcrumb-item">Users Wallet List</li>
            </ol>
        </div>
    </div>
    <div class="row">           
        <div class="col-12">
            <div class="card" data-aos="fade-up">
                <div class="card-header">                                
                    <!-- <form action="{{route($modelName.'.downloadusers')}}" method="get">
                        <input type="hidden" name="email"  value="">
                        <input type="hidden" name="name"  value="">
                        <button type="submit" class="btn btn-primary btn-sm"><i class="fa fa-file-excel-o"></i> Download CSV</a></button>
                    </form>  -->
                    <h4>User Wallet Summary</h4>
                    <div class="col-md-6 text-right pr-0">
                        <a href="{{route('Registerusers.walletdata')}}">
                            <button type="submit" class="btn btn-primary btn-sm mr-2">
                            <i class="fa fa-file-excel-o mr-2"></i> Download CSV</button>
                        </a>
                        <button class="btn btn-primary btn-sm" id="refresh_users_wallet"><i class="fa fa-refresh mr-2"></i>Refresh Data</button>
                    </div>
                    <!-- <button type="submit" class="btn btn-primary btn-sm"><i class="fa fa-file-excel-o mr-2"></i> Download CSV</a></button>
                    <button class="btn btn-primary btn-sm" id="refresh_users_wallet">Refresh Data</button> -->                     
                </div> 
                <div class="card-body">
                    <div class="table-responsive">
                        <table id="dataList" class="display" style="min-width: 845px">
                            <thead>
                                <tr>
                                <th>S No.</th>
                                <th>Team Name</th>
                                <th>Email</th>
                                <th>Unutilized</th>
                                <th>Winnings</th>
                                <th>Cash Bonus</th>
                                <!-- <th>Perks</th> -->
                                <th>Total Balance</th>
                            </tr>
                            </thead>
                           
                            <tfoot>
                                <tr>
                                <th>S No.</th>
                                <th>Team Name</th>
                                <th>Email</th>
                                <th>Unutilized</th>
                                <th>Winnings</th>
                                <th>Cash Bonus</th>
                                <!-- <th>Perks</th> -->
                                <th>Total Balance</th>
                            </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
$(document).ready(function() {

    usersWalletData();
    
    $(document).on('click','#refresh_users_wallet', function(){
        $('#dataList').DataTable().clear().destroy();
        usersWalletData();
    });

    function usersWalletData(){
        $('#dataList').DataTable({
            "processing": true,
            "serverSide": true,
            "ajax":{
              url:"{{route($modelName.'.users_wallet')}}",
              type: "POST",
              data : {"_token": "{{ csrf_token() }}"}           
            },
            "columns": [
                {data: 'DT_RowIndex', name: 'DT_RowIndex'},
                {data: 'team', name: 'team'},
                {data: 'email', name: 'email'},
                {data: 'balance', name: 'balance'},
                {data: 'winning', name: 'winning'},
                {data: 'bonus', name: 'bonus'},
                //{data: 'perks', name: 'perks'},
                {data: 'total_bal', name: 'total_bal'},
            ]
        });

        return true;
    }


});
</script>
@endsection        