@extends('admin.layouts.default')
@section('content')
<!-- DATATABLE GLOBAL SCRIPTS -->
  {{ HTML::style('css/admin/datatable.css') }}
  {{ HTML::script("js/admin/datatable.js") }}
<!-- DATATABLE GLOBAL SCRIPTS -->
<script>
  $(document).ready(function(){
    $('[data-toggle="tooltip"]').tooltip();
  });
</script>

<div class="container-fluid">
    <div class="row page-titles mx-0" data-aos="fade-up">
        <div class="col-sm-6 p-md-0">
            <!-- <div class="welcome-text">
                <h4>Paytm Withdraw Requests</h4>
            </div> -->
        </div>
        <div class="col-sm-6 p-md-0 justify-content-sm-end mt-2 mt-sm-0 d-flex">
            <!-- <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="javascript:void(0)">Paytm Withdraw Requests</a></li>
            </ol> -->
        </div>
    </div>
    <div class="row">           
        <div class="col-12">
            <div class="card" data-aos="fade-up">
                <div class="card-header">
                <div class="card-body p-0">
                    <div class="basic-form">
                      {{ Form::open(['role' => 'form','id'=>'panUpdateDetailForm','route'=>[$modelName.'.upload_withdrawl_excel'],'files' => true]) }}
                    {{csrf_field()}}
                            <div class="form-row">
                                <div class="col-md-8">
                                    <div class="form-group">
                                        <h4>Paytm Withdraw Requests</h4>
                                    </div>
                                </div>
                                <div class="col-md-4 d-flex justify-content-between">
                                    <div class="form-group flex-fill pr-3 mb-0">       
                                        <input type="file" required="" name="file" class="pull-left form-control" accept=".csv, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel">
                                    </div>
                                    <button type="submit" class="btn btn-primary"><i class="fa fa-file-excel-o mr-2"></i>Upload CSV</button> 
                                </div>
                            </div>
                        {{ Form::close() }}                          
                    </div>
                </div>                      
                </div> 
                
                <div class="card-body">
                    <div class="table-responsive">
                        <table id="dataList" class="display" style="min-width: 845px">
                            <thead>
                                <tr>
                                <th>S No.</th>
                                <th>Mobile Number</th>
                                <th>Withdrawl Amount</th>
                                <th>User Name</th>
                                <th>Withdraw Request ID</th>
                                <th>User Email</th>
                                <!-- <th>Approve Manual</th> -->
                                <th>Requested Date</th>
                                <th>Approved Date</th>
                                <th>Status</th>
                                <th>Action</th>
                            </tr>
                            </thead>
                           
                            <tfoot>
                                <tr>
                                <th>S No.</th>
                                <th>Mobile Number</th>
                                <th>Withdrawl Amount</th>
                                <th>User Name</th>
                                <th>Withdraw RequestId</th>
                                <th>User Email</th>
                                <!-- <th>Approve Manual</th> -->
                                <th>Requested Date</th>
                                <th>Approved Date</th>
                                <th>Status</th>
                                <th>Action</th>
                            </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
$(document).ready(function() {
    $('#dataList').DataTable({
      order: [0, 'desc'],
        "processing": true,
        "serverSide": true,
        "ajax":{
          url:"{{route($modelName.'.withdraw_amount')}}",
          type: "POST",
          data : {"_token": "{{ csrf_token() }}"}           
        },
        "columns": [
            {data: 'DT_RowIndex', name: 'DT_RowIndex'},
            {data: 'mobile', name: 'mobile'},
            {data: 'withdraw_amount', name: 'withdraw_amount'},
            {data: 'username', name: 'username'},
            {data: 'withdraw_request_id', name: 'withdraw_request_id'},
            {data: 'email', name: 'email'},
            // {data: 'approve_paytm_manual', name: 'approve_paytm_manual'},
            {data: 'withdraw_request', name: 'withdraw_request'},
            {data: 'approved_date', name: 'approved_date'},
            {data: 'withdraw_status', name: 'withdraw_status'},
            {data: 'action', name: 'action',orderable: false, searchable: false},
        ]
    });

    $(document).on('click','.admin-comment',function(){
        let form_type = $(this).data("type").trim();
        let text_comment = $(this).closest(".text-comment").val();
        if(text_comment == ''){
            alert("please fill input field.");
            return false;
        }
        else {
            let input = jQuery('<input type="hidden"  name="type" value="'+form_type+'">');
            $(this).closest('form').append(input);
            $(this).form[0].submit();
        }        
    });


});
</script>
@endsection        