@extends('admin.layouts.default')
@section('content')
<script type="text/javascript">
$(document).ready(function(){
    $('[data-toggle="tooltip"]').tooltip();
});
</script>
<!--**********************************
    Content body start
***********************************-->
<div class="container-fluid">
    <div class="row page-titles mx-0" data-aos="fade-up">
        <div class="col-sm-6 p-md-0">
            <!-- <div class="welcome-text">
                <h4>Edit Series</h4>
                <span class="ml-1">Layout</span>
            </div> -->
        </div>
        <div class="col-sm-6 p-md-0 justify-content-sm-end mt-2 mt-sm-0 d-flex">
            <ol class="breadcrumb">
                <li class="breadcrumb-item active"><a href="{{route($modelName.'.view_all')}}">All Serise</a></li>
                <li class="breadcrumb-item">Edit</li>
            </ol>
        </div>
    </div>
    <!-- row -->
    <div class="row">
        <div class="col-xl-12 col-xxl-12">
            <div class="card" data-aos="fade-up">
                <div class="card-header">
                    <h4 class="card-title">Edit Series</h4>
                </div>
                <div class="card-body">
                    <div class="basic-form">
                        {{ Form::open(['role' => 'form','id'=>'seriseEditForm','route'=>[$modelName.'.update', base64_encode(serialize($series->id))], 'files' => true]) }}
                            <div class="form-row">
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Series Name</label>
                                    <input type="text" class="form-control in_text" name="name" id="name" placeholder="Name" value="{{$series->name}}">
                                    <div class="error-message help-inline">
                                      <?php echo $errors->first('name'); ?>
                                    </div>
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Start Date</label>
                                    <input class="form-control datetimepickerget in_text" id="start_date" value="{{Input::old('start_date')}}"  autocomplete="off" placeholder="Start date" name="start_date" aria-describedby="inputSuccess2Status2" type="text" value="{{$series->start_date}}">
                                     <div class="error-message help-inline">
                                      <?php echo $errors->first('start_date'); ?>
                                    </div>
                                </div>
                            </div>
                            <div class="form-row">    
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">End Date</label>
                                   <input class="form-control datetimepickerget in_text" id="end_date" placeholder="End date" autocomplete="off" value="{{Input::old('end_date')}}" name="end_date" aria-describedby="inputSuccess2Status2" type="text" value="{{$series->end_date}}">
                                   <div class="error-message help-inline">
                                      <?php echo $errors->first('end_date'); ?>
                                    </div>
                                </div>                                           
                            </div>
                            <div class="py-2">
                            <button type="submit" class="btn btn-primary mr-2">Submit</button> 
                            <button class="btn btn-gray" type="button" id="cancel_btn">Cancel</button>
                        </div>
                        {{ Form::close() }}
                    </div>
                </div>
            </div>
        </div>                    
    </div>
</div>

<script type="text/javascript">
    $(document).ready(function(){
        $('#start_date').datetimepicker({
            timepicker: false,
            format:'Y-m-d'
        });
        $('#end_date').datetimepicker({
            timepicker: false,
            format:'Y-m-d'
        });
        $(document).on("click","#cancel_btn", function(){
            let href = $(".breadcrumb-item.active a").attr("href");
            window.location = href;
        });
    });
</script>

<!--**********************************
    Content body end
***********************************-->
@endsection