@extends('admin.layouts.default')
@section('content')
<script type="text/javascript">
$(document).ready(function(){
    $('[data-toggle="tooltip"]').tooltip();
});
</script>

<!--*************** Content body start ******************-->
<div class="container-fluid">
    <div class="row page-titles mx-0" data-aos="fade-up">
        <div class="col-sm-6 p-md-0">
            <!-- <div class="welcome-text">
                <h4>Add Sub Admin</h4>
            </div> -->
        </div>                   
        <div class="col-sm-6 p-md-0 justify-content-sm-end mt-2 mt-sm-0 d-flex">
            <ol class="breadcrumb">                   
                <li class="breadcrumb-item active">
                    <a href="{{route($modelName.'.view')}}">View all Sub Admin</a></li>
                <li class="breadcrumb-item">Add Sub Admin</li>
            </ol>
        </div>
    </div>               
    <!-- row -->
    <div class="row">
        <div class="col-xl-12 col-xxl-12">
            <div class="card" data-aos="fade-up">
                <div class="card-header">
                    <h4 class="card-title">Add Sub Admin</h4>
                </div>                            
                <div class="card-body">
                    <div class="basic-form">
                        {{ Form::open(['role' => 'form','id'=>'AddForm','route'=>[$modelName.'.add'],'files' => true]) }}
                        {{csrf_field()}}
                            <div class="form-row">                               
                                 <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Name</label>
                                    <input id="name" name="name" type="text" placeholder="enter sub admin name" class="form-control in_text" value="" autocomplete="off">
                                     <div class="error-message help-inline">
                                      <?php echo $errors->first('name'); ?>
                                    </div>
                                </div>
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Email</label>
                                    <input id="email" name="email" type="text" placeholder="enter sub admin email id" class="form-control in_text" value="" autocomplete="off">
                                     <div class="error-message help-inline">
                                      <?php echo $errors->first('email'); ?>
                                    </div>
                                </div>
                            </div>
                            <div class="form-row">                               
                                 <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Phone No</label>
                                    <input id="mobile" name="mobile" type="text" placeholder="enter sub admin mobile no" class="form-control in_text" value="" autocomplete="off">
                                     <div class="error-message help-inline">
                                      <?php echo $errors->first('mobile'); ?>
                                    </div>
                                </div>
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Password</label>
                                    <input id="password" name="password" type="password" placeholder="enter sub admin password" class="form-control in_text" value="" autocomplete="off">
                                     <div class="error-message help-inline">
                                      <?php echo $errors->first('password'); ?>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group col-md-6 pl-1 overflow-hidden">
                                    <label class="lbl_frm py-2">Model</label>
                                    <select class="form-control in_text" id="model_id[]" name="model_id[]" multiple="multiple" autocomplete="off">                                        
                                        @if(isset($sub_models) && !empty($sub_models))
                                        @foreach($sub_models as $model_val)
                                        <option value="<?php echo $model_val->id ?>">
                                        {{$model_val->model_name}}
                                        </option>
                                        @endforeach
                                        @endif
                                    </select>
                                     <div class="error-message help-inline">
                                      <?php echo $errors->first('model_id[]'); ?>
                                    </div>
                                </div> 
                        {{ Form::close() }}
                    </div>
                </div>
                <div class="card-footer py-4">
                    <button type="submit" class="btn btn-primary mr-2 submit-from">Submit</button> 
                    <button class="btn btn-gray" id="cancel_btn" type="button">Cancel</button>
                </div>
            </div>
        </div>                    
    </div>
</div>
<!--**********************************
Content body end
***********************************-->

<script type="text/javascript">
    $(document).ready(function(){
        $(document).on("click","#cancel_btn", function(){
            let href = $(".breadcrumb-item.active a").attr("href");
            window.location = href;
        });
        $(document).on('click','.submit-from', function(){
            $("#AddForm").submit();
        });
    });
</script>
    


@endsection