@extends('admin.layouts.default')
@section('content')
<script type="text/javascript">
$(document).ready(function(){
    $('[data-toggle="tooltip"]').tooltip();
});
</script>

<!--********************************** Content body start  ***********************************-->
<div class="container-fluid">
    <div class="row page-titles mx-0" data-aos="fade-up">
        <div class="col-sm-6 p-md-0">
            <!-- <div class="welcome-text">
                <h4>Add Sub Admin Model</h4>
                <span class="ml-1">Layout</span>
            </div> -->
        </div>                   
        <div class="col-sm-6 p-md-0 justify-content-sm-end mt-2 mt-sm-0 d-flex">
            <ol class="breadcrumb">                   
                <li class="breadcrumb-item active">
                    <a href="{{route($modelName.'.view')}}">View all Sub Admin Model</a></li>
                <li class="breadcrumb-item">Add Sub Admin Model</li>
            </ol>
        </div>
    </div>               
    <!-- row -->
    <div class="row">
        <div class="col-xl-12 col-xxl-12">
            <div class="card" data-aos="fade-up">
                <div class="card-header">
                    <h4 class="card-title">Add Sub Admin Model</h4>
                </div>                            
                <div class="card-body">
                    <div class="basic-form">
                        {{ Form::open(['role' => 'form','id'=>'AddForm','route'=>[$modelName.'.add'],'files' => true]) }}
                        {{csrf_field()}}
                            <div class="form-row">                               
                                 <div class="form-group col-md-6">
                                    <label>Model</label>
                                    <select class="form-control w-95" id="model_id[]" name="model_id[]" multiple="multiple" autocomplete="off">                                        
                                        @if(isset($model) && !empty($model))
                                        @foreach($model as $model_val)
                                        <option value="<?php echo $model_val->id ?>">
                                        {{$model_val->model_name}}
                                        </option>
                                        @endforeach
                                        @endif
                                    </select>
                                     <div class="error-message help-inline">
                                      <?php echo $errors->first('model_id[]'); ?>
                                    </div>
                                </div>   
                                <div class="form-group col-md-6">
                                    <label>Sub Admin</label>
                                    <select class="form-control w-95" id="sub_admin_id" name="sub_admin_id" autocomplete="off">
                                        <option value=""> Select Sub Admin </option>
                                        @if(isset($sub_admin) && !empty($sub_admin))
                                        @foreach($sub_admin as $sub_admin_val)
                                        <option value="<?php echo $sub_admin_val->id ?>">
                                        {{$sub_admin_val->name}}
                                        </option>
                                        @endforeach
                                        @endif
                                    </select>
                                     <div class="error-message help-inline">
                                      <?php echo $errors->first('sub_admin_id'); ?>
                                    </div>
                                </div>     
                            </div>                           
                            <button type="submit" class="btn btn-primary mr-2">Submit</button> 
                            <button class="btn btn-gray" id="cancel_btn" type="button">Cancel</button>
                        {{ Form::close() }}
                    </div>
                </div>
            </div>
        </div>                    
    </div>
</div>
<!--**********************************
Content body end
***********************************-->

<script type="text/javascript">
    $(document).ready(function(){
        $(document).on("click","#cancel_btn", function(){
            let href = $(".breadcrumb-item.active a").attr("href");
            window.location = href;
        });
        
    });
</script>

@endsection