@extends('admin.layouts.default')
@section('content')
<script type="text/javascript">
$(document).ready(function(){
    $('[data-toggle="tooltip"]').tooltip();
});
</script>

<!--********************************** Content body start  ***********************************-->
<div class="container-fluid">
    <div class="row page-titles mx-0" data-aos="fade-up">
        <div class="col-sm-6 p-md-0">
            <!-- <div class="welcome-text">
                <h4>Edit Team</h4>
                <span class="ml-1">Layout</span>
            </div> -->
        </div>
       
        <div class="col-sm-6 p-md-0 justify-content-sm-end mt-2 mt-sm-0 d-flex">
            <ol class="breadcrumb">
                <li class="breadcrumb-item active"><a href="{{route($modelName.'.view')}}">All Teams</a></li>
                <li class="breadcrumb-item">Edit</li>
            </ol>
        </div>
    </div>
    <!-- row -->
    <div class="row">
        <div class="col-xl-12 col-xxl-12">
            <div class="card" data-aos="fade-up">
                <div class="card-header">
                    <h4 class="card-title">Edit Team</h4>
                </div>
                <div class="card-body">
                    <div class="basic-form">
                        {{ Form::open(['role' => 'form','id'=>'TeamEditForm','route'=>['Team.edit',base64_encode(serialize($series->id))],'files' => true]) }}
                            <div class="form-row">
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Team Name</label>
                                    <input type="text" id="team" name="team" class="form-control in_text" value="{{$series->team}}">
                                     <div class="error-message help-inline">
                                      {{$errors->first('team')}}
                                    </div>
                                </div>

                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Team Short Name</label>
                                    <input type="text" id="short_name" name="short_name" class="form-control in_text" value="{{$series->short_name}}">
                                     <div class="error-message help-inline">
                                    {{$errors->first('short_name')}}
                                    </div>
                                </div>

                               <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Team Key</label>
                                    <input type="text" id="team_key" name="team_key" class="form-control in_text" value="{{$series->team_key}}" disabled="">
                                     <div class="error-message help-inline">
                                     {{$errors->first('team_key')}}
                                    </div>
                                </div>                                         
                               
                                <div class="form-group col-md-6">
                                    <label class="lbl_frm py-2">Team Logo</label>
                                   <input class="form-control in_text" name="logo[]" id="logo" type="file">   
                                   <div class="error-message help-inline">
                                    {{$errors->first('logo')}}
                                    </div>                                            
                                    @if($series->logo!="")
                                      <img src="<?php echo URL::asset('uploads/teams/'.$series->logo)?>" class="py-2" style="width:100px;height:100px;">
                                    @else
                                      <img src="<?php echo URL::asset('images/logo.png')?>" class="py-2" style="width:100px;height:100px;">
                                    @endif
                                </div>                                           
                            </div>
                            <div class="py-2">
                            <button type="submit" class="btn btn-primary mr-2">Submit</button> 
                            <button class="btn btn-gray" type="button" id="cancel_btn">Cancel</button></div>
                        {{ Form::close() }}
                    </div>
                </div>
            </div>
        </div>                    
    </div>
</div>
<script type="text/javascript">
    $(document).ready(function(){
        $(document).on("click","#cancel_btn", function(){
            let href = $(".breadcrumb-item.active a").attr("href");
            window.location = href;
        });    
    });
</script>
<!--**********************************
    Content body end
***********************************-->
@endsection