<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>Dashboard</title>
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta content="width=device-width, initial-scale=1" name="viewport" />
        <meta content="Preview page of Metronic Admin Theme #1 for statistics, charts, recent events and reports" name="description" />
        <meta content="" name="author" />
        <!-- BEGIN GLOBAL MANDATORY STYLES -->
        <link href="http://fonts.googleapis.com/css?family=Open+Sans:400,300,600,700&subset=all" rel="stylesheet" type="text/css" />
        {{ HTML::style('assets/global/plugins/font-awesome/css/font-awesome.min.css') }}
        {{ HTML::style("assets/global/plugins/simple-line-icons/simple-line-icons.min.css") }}
        {{ HTML::style("assets/global/plugins/bootstrap/css/bootstrap.min.css") }}
        {{ HTML::style("assets/global/plugins/bootstrap-switch/css/bootstrap-switch.min.css") }}
        <!-- END GLOBAL MANDATORY STYLES -->
        <!-- BEGIN PAGE LEVEL PLUGINS -->
		{{ HTML::style("assets/global/plugins/bootstrap-daterangepicker/daterangepicker.min.css") }}
		{{ HTML::style("assets/global/plugins/morris/morris.css") }}
        {{ HTML::style("assets/global/plugins/fullcalendar/fullcalendar.min.css") }}
        {{ HTML::style("assets/global/plugins/jqvmap/jqvmap/jqvmap.css") }}
        <!-- END PAGE LEVEL PLUGINS -->
         <!-- BEGIN PAGE LEVEL PLUGINS -->
        {{ HTML::style("assets/global/plugins/datatables/datatables.min.css") }}
        {{ HTML::style("assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.css") }}
        <!-- END PAGE LEVEL PLUGINS -->
        <!-- BEGIN THEME GLOBAL STYLES -->
        {{ HTML::style("assets/global/css/components.min.css") }}
        {{ HTML::style("assets/global/css/plugins.min.css") }}
        <!-- END THEME GLOBAL STYLES -->
        <!-- BEGIN THEME LAYOUT STYLES -->
        {{ HTML::style("assets/layouts/layout/css/layout.min.css") }}
        {{ HTML::style("assets/layouts/layout/css/themes/darkblue.min.css") }}
        {{ HTML::style("assets/layouts/layout/css/custom.min.css") }}
        {{ HTML::style("assets/global/css/developer.css") }}
        <!-- END THEME LAYOUT STYLES -->
        <link rel="shortcut icon" href="favicon.ico" />
        
        <script>
			var WEBSITE_URL	=	"<?php echo WEBSITE_URL; ?>";
        </script> 
	</head>
    <!-- END HEAD -->

    <body class="page-header-fixed page-sidebar-closed-hide-logo page-content-white">
        <div class="page-wrapper">
            <!-- BEGIN HEADER -->
            @include('admin.elements.common.header')
            <!-- END HEADER -->
            <!-- BEGIN HEADER & CONTENT DIVIDER -->
            <div class="clearfix"> </div>
            <!-- END HEADER & CONTENT DIVIDER -->
            <!-- BEGIN CONTAINER -->
            <div class="page-container">
			<!-- SIDEBAR BEGIN -->
			@include('admin.elements.common.sidebar')
			<!-- SIDEBAR END -->
			<!-- BEGIN CONTENT -->
			<div class="page-content-wrapper">
				<!-- BEGIN CONTENT BODY -->
				<div class="page-content">
					@if(Session::has('error'))
					<div class="grid_8 mws-collapsible">
						<div class="mws-form-message error">
							<a href="javascript:void(0);" class="close pull-right">&times;</a>
							<p>{{ Session::get('error') }}</p>
						</div>
					</div>
					<div class="clearfix">&nbsp;</div>
					@endif
					@if(Session::has('success'))
					<div class="grid_8 mws-collapsible">
						<div class="mws-form-message success">
							<a href="javascript:void(0);" class="close pull-right">&times;</a>
							<p>{{ Session::get('success') }}</p>
						</div>
					</div>
					<div class="clearfix">&nbsp;</div>
					@endif

					@if(Session::has('flash_notice'))
					<div class="grid_8 mws-collapsible">
						<div class="mws-form-message success">
							<a href="javascript:void(0);" class="close pull-right">&times;</a>
							<p>{{ Session::get('flash_notice') }}</p>
						</div>
					</div>
					<div class="clearfix">&nbsp;</div>
					@endif
					
					<!-- BEGIN PAGE BAR -->
					<div class="page-bar">
						<ul class="page-breadcrumb">
							<li>
								<?php  if(isset($breadcrumbs)){ ?>
									<div class="breadcrumb">
										<?php echo $breadcrumbs; ?>
									</div>
								<?php } ?>
							</li>
						</ul>
					</div>
					<!-- END PAGE BAR -->
					
					 @yield('content')
					<div class="clearfix"></div>
					<!-- END DASHBOARD STATS 1-->
			</div>
		<!-- END CONTAINER -->
            <!-- BEGIN FOOTER -->
            @include('admin.elements.common.footer')
            <!-- END FOOTER -->
        </div>
        <!--[if lt IE 9]>
			{{ HTML::script("assets/global/plugins/respond.min.js") }}
			{{ HTML::script("assets/global/plugins/excanvas.min.js") }}
			{{ HTML::script("assets/global/plugins/ie8.fix.min.js") }}
		<![endif]-->
        <!-- BEGIN CORE PLUGINS -->
        {{ HTML::script("assets/global/plugins/jquery.min.js") }}
        {{ HTML::script("assets/global/plugins/bootstrap/js/bootstrap.min.js") }}
        {{ HTML::script("assets/global/plugins/js.cookie.min.js") }}
        {{ HTML::script("assets/global/plugins/jquery-slimscroll/jquery.slimscroll.min.js") }}
        {{ HTML::script("assets/global/plugins/jquery.blockui.min.js") }}
        {{ HTML::script("assets/global/plugins/bootstrap-switch/js/bootstrap-switch.min.js") }}
        <!-- END CORE PLUGINS -->
        <!-- BEGIN PAGE LEVEL PLUGINS -->
        {{ HTML::script("assets/global/plugins/moment.min.js") }}
        {{ HTML::script("assets/global/plugins/bootstrap-daterangepicker/daterangepicker.min.js") }}
        {{ HTML::script("assets/global/plugins/morris/morris.min.js") }}
        {{ HTML::script("assets/global/plugins/morris/raphael-min.js") }}
        {{ HTML::script("assets/global/plugins/counterup/jquery.waypoints.min.js") }}
        {{ HTML::script("assets/global/plugins/counterup/jquery.counterup.min.js") }}
        {{ HTML::script("assets/global/plugins/amcharts/amcharts/amcharts.js") }}
        {{ HTML::script("assets/global/plugins/amcharts/amcharts/serial.js") }}
        {{ HTML::script("assets/global/plugins/amcharts/amcharts/pie.js") }}
        {{ HTML::script("assets/global/plugins/amcharts/amcharts/radar.js") }}
        {{ HTML::script("assets/global/plugins/amcharts/amcharts/themes/light.js") }}
        {{ HTML::script("assets/global/plugins/amcharts/amcharts/themes/patterns.js") }}
        {{ HTML::script("assets/global/plugins/amcharts/amcharts/themes/chalk.js") }}
        {{ HTML::script("assets/global/plugins/amcharts/ammap/ammap.js") }}
        {{ HTML::script("assets/global/plugins/amcharts/ammap/maps/js/worldLow.js") }}
        {{ HTML::script("assets/global/plugins/amcharts/amstockcharts/amstock.js") }}
        {{ HTML::script("assets/global/plugins/fullcalendar/fullcalendar.min.js") }}
        {{ HTML::script("assets/global/plugins/horizontal-timeline/horizontal-timeline.js") }}
        {{ HTML::script("assets/global/plugins/flot/jquery.flot.min.js") }}
        {{ HTML::script("assets/global/plugins/flot/jquery.flot.resize.min.js") }}
        {{ HTML::script("assets/global/plugins/flot/jquery.flot.categories.min.js") }}
        {{ HTML::script("assets/global/plugins/jquery-easypiechart/jquery.easypiechart.min.js") }}
        {{ HTML::script("assets/global/plugins/jquery.sparkline.min.js") }}
        {{ HTML::script("assets/global/plugins/jqvmap/jqvmap/jquery.vmap.js") }}
        {{ HTML::script("assets/global/plugins/jqvmap/jqvmap/maps/jquery.vmap.russia.js") }}
        {{ HTML::script("assets/global/plugins/jqvmap/jqvmap/maps/jquery.vmap.world.js") }}
        {{ HTML::script("assets/global/plugins/jqvmap/jqvmap/maps/jquery.vmap.europe.js") }}
        {{ HTML::script("assets/global/plugins/jqvmap/jqvmap/maps/jquery.vmap.germany.js") }}
        {{ HTML::script("assets/global/plugins/jqvmap/jqvmap/maps/jquery.vmap.usa.js") }}
        {{ HTML::script("assets/global/plugins/jqvmap/jqvmap/data/jquery.vmap.sampledata.js") }}
        <!-- END PAGE LEVEL PLUGINS -->
        <!-- BEGIN THEME GLOBAL SCRIPTS -->
        {{ HTML::script("assets/global/scripts/app.min.js") }}
        <!-- END THEME GLOBAL SCRIPTS -->
        <!-- BEGIN PAGE LEVEL SCRIPTS -->
        {{ HTML::script("assets/pages/scripts/dashboard.min.js") }}
        <!-- END PAGE LEVEL SCRIPTS -->
        <!-- BEGIN THEME LAYOUT SCRIPTS -->
        {{ HTML::script("assets/layouts/layout/scripts/layout.min.js") }}
        {{ HTML::script("assets/layouts/layout/scripts/demo.min.js") }}
        {{ HTML::script("assets/layouts/global/scripts/quick-sidebar.min.js") }}
        {{ HTML::script("assets/layouts/global/scripts/quick-nav.min.js") }}
        <!-- END THEME LAYOUT SCRIPTS -->
        
        <!-- DATATABLE GLOBAL SCRIPTS -->
        {{ HTML::script("assets/global/scripts/datatable.js") }}
        {{ HTML::script("assets/global/plugins/datatables/datatables.min.js") }}
        {{ HTML::script("assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js") }}
        {{ HTML::script("assets/global/scripts/app.min.js") }}
        {{ HTML::script("assets/pages/scripts/table-datatables-colreorder.min.js") }}
        {{ HTML::script("assets/layouts/layout/scripts/layout.min.js") }}
        {{ HTML::script("assets/layouts/layout/scripts/demo.min.js") }}
        {{ HTML::script("assets/layouts/global/scripts/quick-sidebar.min.js") }}
        {{ HTML::script("assets/layouts/global/scripts/quick-nav.min.js") }}
        <!-- DATATABLE GLOBAL SCRIPTS -->
       
        <script>
            $(document).ready(function()
            {
                $('#clickmewow').click(function()
                {
                    $('#radio1003').attr('checked', 'checked');
                });
            })
        </script>
    </body>

</html>
