<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width,initial-scale=1">    
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>{{ !empty(Config::get("Site.title")) ? Config::get("Site.title") : 'Home' }} {{ isset($page_title) && !empty($page_title) ? '| '.$page_title : '' }}</title>
    <!-- Favicon icon -->
    <link rel="icon" type="image/png" sizes="16x16" href="{{WEBSITE_IMAGE_URL}}favicon.png">
    {{ HTML::style('vendor/owl-carousel/css/owl.theme.default.min.css') }}
    {{ HTML::style('vendor/owl-carousel/css/owl.carousel.min.css') }}
    <!-- {{ HTML::style('vendor/jqvmap/css/jqvmap.min.css') }} -->
    {{ HTML::style('css/style.css') }}
    <!-- {{ HTML::style('vendor/datatables/css/jquery.dataTables.min.css') }} -->

        <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.20/css/jquery.dataTables.min.css">
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/responsive/2.2.3/css/responsive.dataTables.min.css">
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/fixedheader/3.1.6/css/fixedHeader.dataTables.min.css">

    <!-- {{ HTML::script("assets/global/plugins/jquery.min.js") }} -->
    <!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.0.0/jquery.min.js"></script> -->
</head>
<body>    
<!--*******************
Preloader start
********************-->
<div id="preloader">
    <div class="loader">11Caps<span></span><span></span><span></span><span></span></div>
</div>
<!--*******************
Preloader end
********************-->    
<!--**********************************
Main wrapper start
***********************************-->
<div id="main-wrapper">

<!--**********************************
    Nav header start
***********************************-->
<div class="nav-header">
    <a href="{{route('admin_dashboard')}}" class="brand-logo">
        <!-- <span class="logo-abbr">RG</span>
        <span class="logo-compact">RG Admin</span>
        <span class="brand-title">RG Admin</span> -->
        <img src="<?php echo WEBSITE_URL.'img/logo/logo.png'?>">
    </a>

    <div class="nav-control">
        <div class="hamburger">
            <span class="line"></span>
            <span class="line"></span>
            <span class="line"></span>
        </div>
    </div>
</div>
<!--**********************************
    Nav header end
***********************************-->

<script type="text/javascript">
    /* For set the time for flash messages */
   

</script>        
<script>
	var WEBSITE_URL	="<?php echo WEBSITE_URL; ?>";
</script>
</head>
@php
if(Auth::user()->user_type=='1'){
    $get_sub_admin=DB::table('sub_admin_models')
        ->leftJoin('models', 'models.id', '=', 'sub_admin_models.model_id')
        ->select('sub_admin_models.id','models.id as model_id','models.model_name')
        ->where('sub_admin_models.sub_admin_id',Auth::user()->id)
        ->get();   
}

@endphp
<!-- END HEAD -->
<!----Header--->     
@include('admin.elements.common.header')
<!-- SIDEBAR BEGIN -->
@include('admin.elements.common.sidebar')
<!-- SIDEBAR END -->
	<!-- BEGIN CONTENT BODY -->
	<div class="page-content">			
        <div class="content-body">
            
                <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/fixedcolumns/3.3.0/css/fixedColumns.dataTables.min.css">
            {{ HTML::script("vendor/global/global.min.js") }}
            {{ HTML::script("vendor/datatables/js/jquery.dataTables.min.js") }}
                <script type="text/javascript" language="javascript" src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.min.js"></script>
                <script type="text/javascript" language="javascript" src="https://cdn.datatables.net/responsive/2.2.3/js/dataTables.responsive.min.js"></script>
<!-- {{ HTML::script("js/plugins-init/datatables.init.js") }} -->
<script src="https://cdn.datatables.net/fixedcolumns/3.3.0/js/dataTables.fixedColumns.min.js"></script>
<script src="https://cdn.datatables.net/fixedheader/3.1.6/js/dataTables.fixedHeader.min.js"></script>

            @if(Session::has('error'))
            <div class="grid_8 mws-collapsible">
                <div class="mws-form-message error" style="padding: 20px 15px;">
                    <div class="alert alert-danger">
                      <strong><a href="javascript:void(0);" class="close pull-right">&times;</a></strong>{{Session::get('error') }}
                    </div>
                    <!-- <a href="javascript:void(0);" class="close pull-right">&times;</a>
                    <p>{{Session::get('error') }}</p> -->
                </div>
            </div>
            <div class="clearfix">&nbsp;</div>
            @endif 
            @if(Session::has('success'))
            <div class="grid_8 mws-collapsible">
                <div class="mws-form-message success"  style="padding: 20px 15px ;">
                    <div class="alert alert-info">
                      <strong><a href="javascript:void(0);" class="close pull-right">&times;</a></strong>{{Session::get('success') }}
                    </div>
                </div>
            </div>
            <div class="clearfix">&nbsp;</div>
            @endif

            @if(Session::has('flash_notice'))
            <div class="grid_8 mws-collapsible">
                <div class="mws-form-message success" style="padding: 20px 15px;">
                    <!-- <a href="javascript:void(0);" class="close pull-right">&times;</a> -->
                   <!--  <p>{{Session::get('flash_notice') }}</p> -->
                    <div class="alert alert-info">
                      <strong><a href="javascript:void(0);" class="close pull-right">&times;</a></strong>{{Session::get('flash_notice') }}
                    </div>
                </div>
            </div>
            <div class="clearfix">&nbsp;</div>
            @endif
        <!---Show Index Page -->
    	@yield('content')
        </div>
        <!---End Show Index Page -->
		<!-- END DASHBOARD STATS 1-->
	</div>
<!-- END CONTAINER -->
<!-- BEGIN FOOTER -->
@include('admin.elements.common.footer')
</div>
<!--***********************Scripts**********************************-->
<!-- Required vendors -->

{{ HTML::script("js/quixnav-init.js") }}
{{ HTML::script("js/custom.min.js") }}
<!--removeIf(production)-->
<!-- Demo scripts -->
{{ HTML::script("js/styleSwitcher.js") }}
<!--endRemoveIf(production)-->
<!-- {{ HTML::script("vendor/jqvmap/js/jquery.vmap.min.js") }} -->
<!-- {{ HTML::script("vendor/jqvmap/js/jquery.vmap.world.js") }} -->
{{ HTML::script("vendor/circle-progress/circle-progress.min.js") }}
{{ HTML::script("vendor/chart.js/Chart.bundle.min.js") }}
{{ HTML::script("vendor/gaugeJS/dist/gauge.min.js") }}
<!--  flot-chart js -->
{{ HTML::script("vendor/flot/jquery.flot.js") }}
{{ HTML::script("vendor/flot/jquery.flot.resize.js") }}
<!-- Owl Carousel -->
{{ HTML::script("vendor/owl-carousel/js/owl.carousel.min.js") }}
<!-- Counter Up -->
{{ HTML::script("vendor/waypoints/jquery.waypoints.min.js") }}
{{ HTML::script("vendor/jquery.counterup/jquery.counterup.min.js") }}
<!-- {{ HTML::script("js/dashboard/dashboard-1.js") }} -->
<!-- Datatable -->

<!--- Daterangepicker---->
 <!-- <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>  -->

<!-- {{ HTML::style('css/jquery.simple-dtpicker.css') }}
{{ HTML::script('js/jquery.simple-dtpicker.js') }} -->
<!-- {{ HTML::style('//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css') }}
{{ HTML::script('https://code.jquery.com/ui/1.12.1/jquery-ui.js') }} -->

{{ HTML::style('css/jquery.datetimepicker.min.css') }}
{{ HTML::script('js/jquery.datetimepicker.js') }}

<style type="text/css">
.ui-datepicker {
   background: #333;
   border: 1px solid #555;
   color: #EEE;
}
</style>
<!----------Date Picker---------------->
<script type="text/javascript">
    $(function(){
        $('.datetimepickerget').datetimepicker({
        });
    });
</script>
<script>
$(document).ready(function()
{
    $('#clickmewow').click(function()
    {
        $('#radio1003').attr('checked', 'checked');
    });
})
</script>
</body>
</html>
